[Touch-packages] [Bug 1536751] Re: Font/text rendering is irregular and not pixel-aligned on low DPI screens

2017-02-15 Thread Daniel van Vugt
** No longer affects: qtmir

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1536751

Title:
  Font/text rendering is irregular and not pixel-aligned on low DPI
  screens

Status in Canonical System Image:
  Confirmed
Status in fontconfig package in Ubuntu:
  Incomplete
Status in freetype package in Ubuntu:
  Incomplete
Status in harfbuzz package in Ubuntu:
  Confirmed
Status in qtbase-opensource-src package in Ubuntu:
  Incomplete
Status in qtdeclarative-opensource-src package in Ubuntu:
  New
Status in ubuntu-font-family-sources package in Ubuntu:
  Confirmed
Status in ubuntu-ui-toolkit package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  This is a Dell Vostro 3550 laptop with a fresh install of 16.04 and
  unity8 Mir session

  the version of qtdeclarative5-qtmir-plugin is
  0.4.7+16.04.20160104-0ubuntu1

  As you can see from the screenshots the text has low details and, in
  the case of indicators descriptions at the top, almost disappears.

  The text could be fixed by using Text.NativeRendering instead of 
Text.QtRendering for the QML labels on low dpi screens, although text doesn't 
seem to be the only issue here. The icons are definitely lacking detail as well 
(QML Image's smoothing is enabled maybe?).
  Also the dots of the infographic don't look like circles at all, they're 
missing pixels and many of them look like a C more than an O.

  It looks to me like something is setting the wrong resolution, because
  it looks quite bad. But the screenshots are 1366x768 so I think that's
  not the case.

  NOTE: Unity7 looks perfectly fine and detailed

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1536751/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1654600] Re: unattended-upgrade-shutdown hangs when /var is a separate filesystem

2017-02-15 Thread Nils Meyer
Is there a good reason not to simply change the path to the lock file
from /var/run to /run?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1654600

Title:
  unattended-upgrade-shutdown hangs when /var is a separate filesystem

Status in unattended-upgrades package in Ubuntu:
  Confirmed
Status in unattended-upgrades source package in Xenial:
  Confirmed
Status in unattended-upgrades source package in Yakkety:
  Confirmed
Status in unattended-upgrades package in Debian:
  New

Bug description:
  The systemd unit file unattended-upgrades.service is used to stop a running 
unattended-upgrade
  process during shutdown. This unit file is running together with all 
filesystem
  unmount services.

  The unattended-upgrades service checks if the lockfile for unattended-upgrade
  (in /var/run) exists, and if it does, there is an unattended-upgrade in 
progress
  and the service will wait until it finishes (and therefore automatically wait 
at
  shutdown).

  However, if /var is a separate filesystem, it will get unmounted even though 
/var/run
  is a tmpfs that's still mounted on top of the /var/run directory in the /var 
filesystem.
  The unattended-upgrade script will fail to find lockfile, sleeps for 5 
seconds, and
  tries to check the lockfile again. After 10 minutes (the default timeout), it 
will finally
  exit and the system will continue shutdown.

  The problem is the error handling in 
/usr/share/unattended-upgrades/unattended-upgrade-shutdown
  where it tries to lock itself:

  while True:
  res = apt_pkg.get_lock(options.lock_file)
  logging.debug("get_lock returned %i" % res)
  # exit here if there is no lock
  if res > 0:
  logging.debug("lock not taken")
  break
  lock_was_taken = True

  The function apt_pkg.get_lock() either returns a file descriptor, or -1 on an 
error.
  File descriptors are just C file descriptors, so they are always positive 
integers.
  The code should check the result to be negative, not positive. I have 
attached a patch
  to reverse the logic.

  Additional information:

  1)
  Description:  Ubuntu 16.04.1 LTS
  Release:  16.04

  2)
  unattended-upgrades:
Installed: 0.90ubuntu0.3
Candidate: 0.90ubuntu0.3
Version table:
   *** 0.90ubuntu0.3 500
  500 http://nl.archive.ubuntu.com/ubuntu xenial-updates/main amd64 
Packages
  500 http://nl.archive.ubuntu.com/ubuntu xenial-updates/main i386 
Packages
  100 /var/lib/dpkg/status
   0.90 500
  500 http://nl.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  500 http://nl.archive.ubuntu.com/ubuntu xenial/main i386 Packages
  3)
  Fast reboot
  4)
  Very slow reboot (after a 10 minutes timeout)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1654600/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665230] Re: package software-properties-common 0.96.20.5 failed to install/upgrade: subprocess new pre-removal script returned error exit status 139

2017-02-15 Thread Apport retracing service
** Tags removed: need-duplicate-check

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1665230

Title:
  package software-properties-common 0.96.20.5 failed to
  install/upgrade: subprocess new pre-removal script returned error exit
  status 139

Status in software-properties package in Ubuntu:
  New

Bug description:
  I recently upgraded to 16.04 LTS and now I am getting this error. It
  was a fresh install not an upgrade from an earlier version.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: software-properties-common 0.96.20.5
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  Date: Wed Feb 15 13:25:43 2017
  ErrorMessage: subprocess new pre-removal script returned error exit status 139
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.19
  SourcePackage: software-properties
  Title: package software-properties-common 0.96.20.5 failed to 
install/upgrade: subprocess new pre-removal script returned error exit status 
139
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1665230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665230] [NEW] package software-properties-common 0.96.20.5 failed to install/upgrade: subprocess new pre-removal script returned error exit status 139

2017-02-15 Thread Stantley Palmer
Public bug reported:

I recently upgraded to 16.04 LTS and now I am getting this error. It was
a fresh install not an upgrade from an earlier version.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: software-properties-common 0.96.20.5
ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
Uname: Linux 4.4.0-62-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
Date: Wed Feb 15 13:25:43 2017
ErrorMessage: subprocess new pre-removal script returned error exit status 139
PackageArchitecture: all
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt  1.2.19
SourcePackage: software-properties
Title: package software-properties-common 0.96.20.5 failed to install/upgrade: 
subprocess new pre-removal script returned error exit status 139
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: software-properties (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

** Description changed:

- I recently upgraded to 16.04 LTS and now I am getting this error. I was
+ I recently upgraded to 16.04 LTS and now I am getting this error. It was
  a fresh install not an upgrade from an earlier version.
  
  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: software-properties-common 0.96.20.5
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  Date: Wed Feb 15 13:25:43 2017
  ErrorMessage: subprocess new pre-removal script returned error exit status 139
  PackageArchitecture: all
  RelatedPackageVersions:
-  dpkg 1.18.4ubuntu1.1
-  apt  1.2.19
+  dpkg 1.18.4ubuntu1.1
+  apt  1.2.19
  SourcePackage: software-properties
  Title: package software-properties-common 0.96.20.5 failed to 
install/upgrade: subprocess new pre-removal script returned error exit status 
139
  UpgradeStatus: No upgrade log present (probably fresh install)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1665230

Title:
  package software-properties-common 0.96.20.5 failed to
  install/upgrade: subprocess new pre-removal script returned error exit
  status 139

Status in software-properties package in Ubuntu:
  New

Bug description:
  I recently upgraded to 16.04 LTS and now I am getting this error. It
  was a fresh install not an upgrade from an earlier version.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: software-properties-common 0.96.20.5
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  Date: Wed Feb 15 13:25:43 2017
  ErrorMessage: subprocess new pre-removal script returned error exit status 139
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.19
  SourcePackage: software-properties
  Title: package software-properties-common 0.96.20.5 failed to 
install/upgrade: subprocess new pre-removal script returned error exit status 
139
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1665230/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1536751] Re: Font/text rendering is irregular and not pixel-aligned on low DPI screens

2017-02-15 Thread Daniel van Vugt
It might be acceptable if the hinting was higher quality, but I think
that would require caching of whole strings (possibly with kerning)
rather than caching of individual glyphs.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1536751

Title:
  Font/text rendering is irregular and not pixel-aligned on low DPI
  screens

Status in Canonical System Image:
  Confirmed
Status in QtMir:
  New
Status in fontconfig package in Ubuntu:
  Incomplete
Status in freetype package in Ubuntu:
  Incomplete
Status in harfbuzz package in Ubuntu:
  Confirmed
Status in qtbase-opensource-src package in Ubuntu:
  Incomplete
Status in qtdeclarative-opensource-src package in Ubuntu:
  New
Status in ubuntu-font-family-sources package in Ubuntu:
  Confirmed
Status in ubuntu-ui-toolkit package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  This is a Dell Vostro 3550 laptop with a fresh install of 16.04 and
  unity8 Mir session

  the version of qtdeclarative5-qtmir-plugin is
  0.4.7+16.04.20160104-0ubuntu1

  As you can see from the screenshots the text has low details and, in
  the case of indicators descriptions at the top, almost disappears.

  The text could be fixed by using Text.NativeRendering instead of 
Text.QtRendering for the QML labels on low dpi screens, although text doesn't 
seem to be the only issue here. The icons are definitely lacking detail as well 
(QML Image's smoothing is enabled maybe?).
  Also the dots of the infographic don't look like circles at all, they're 
missing pixels and many of them look like a C more than an O.

  It looks to me like something is setting the wrong resolution, because
  it looks quite bad. But the screenshots are 1366x768 so I think that's
  not the case.

  NOTE: Unity7 looks perfectly fine and detailed

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1536751/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1536751] Re: Font/text rendering is irregular and not pixel-aligned on low DPI screens

2017-02-15 Thread Daniel van Vugt
Also the two lower-case u's in "Ubuntu App Test" have particularly
different appearance.

It seems Qt is placing glyphs according to a higher fractional precision
than the resolution of the display, which while technically correct also
creates unacceptable blurring of text at low DPI.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1536751

Title:
  Font/text rendering is irregular and not pixel-aligned on low DPI
  screens

Status in Canonical System Image:
  Confirmed
Status in QtMir:
  New
Status in fontconfig package in Ubuntu:
  Incomplete
Status in freetype package in Ubuntu:
  Incomplete
Status in harfbuzz package in Ubuntu:
  Confirmed
Status in qtbase-opensource-src package in Ubuntu:
  Incomplete
Status in qtdeclarative-opensource-src package in Ubuntu:
  New
Status in ubuntu-font-family-sources package in Ubuntu:
  Confirmed
Status in ubuntu-ui-toolkit package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  This is a Dell Vostro 3550 laptop with a fresh install of 16.04 and
  unity8 Mir session

  the version of qtdeclarative5-qtmir-plugin is
  0.4.7+16.04.20160104-0ubuntu1

  As you can see from the screenshots the text has low details and, in
  the case of indicators descriptions at the top, almost disappears.

  The text could be fixed by using Text.NativeRendering instead of 
Text.QtRendering for the QML labels on low dpi screens, although text doesn't 
seem to be the only issue here. The icons are definitely lacking detail as well 
(QML Image's smoothing is enabled maybe?).
  Also the dots of the infographic don't look like circles at all, they're 
missing pixels and many of them look like a C more than an O.

  It looks to me like something is setting the wrong resolution, because
  it looks quite bad. But the screenshots are 1366x768 so I think that's
  not the case.

  NOTE: Unity7 looks perfectly fine and detailed

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1536751/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1536751] Re: Font/text rendering is irregular and not pixel-aligned on low DPI screens

2017-02-15 Thread Daniel van Vugt
I can now see part of the problem more clearly.

If you look at labels that contain the same letter multiple times like
"Calculator" or "Security & Privacy", then it becomes apparent that the
clarity of that same letter changes depending on where it is in the
word.

Given that Qt caches individual glyphs (discovered in bug 1583088), this
variation in clarity should never happen. Most likely the problem is
Qt's text rendering is failing to place some glyphs at integer x
locations, which is a big deal on regular low DPI displays.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1536751

Title:
  Font/text rendering is irregular and not pixel-aligned on low DPI
  screens

Status in Canonical System Image:
  Confirmed
Status in QtMir:
  New
Status in fontconfig package in Ubuntu:
  Incomplete
Status in freetype package in Ubuntu:
  Incomplete
Status in harfbuzz package in Ubuntu:
  Confirmed
Status in qtbase-opensource-src package in Ubuntu:
  Incomplete
Status in qtdeclarative-opensource-src package in Ubuntu:
  New
Status in ubuntu-font-family-sources package in Ubuntu:
  Confirmed
Status in ubuntu-ui-toolkit package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  This is a Dell Vostro 3550 laptop with a fresh install of 16.04 and
  unity8 Mir session

  the version of qtdeclarative5-qtmir-plugin is
  0.4.7+16.04.20160104-0ubuntu1

  As you can see from the screenshots the text has low details and, in
  the case of indicators descriptions at the top, almost disappears.

  The text could be fixed by using Text.NativeRendering instead of 
Text.QtRendering for the QML labels on low dpi screens, although text doesn't 
seem to be the only issue here. The icons are definitely lacking detail as well 
(QML Image's smoothing is enabled maybe?).
  Also the dots of the infographic don't look like circles at all, they're 
missing pixels and many of them look like a C more than an O.

  It looks to me like something is setting the wrong resolution, because
  it looks quite bad. But the screenshots are 1366x768 so I think that's
  not the case.

  NOTE: Unity7 looks perfectly fine and detailed

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1536751/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1536751] Re: Font/text rendering is irregular and not pixel-aligned on low DPI screens

2017-02-15 Thread Daniel van Vugt
** Also affects: qtdeclarative-opensource-src (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1536751

Title:
  Font/text rendering is irregular and not pixel-aligned on low DPI
  screens

Status in Canonical System Image:
  Confirmed
Status in QtMir:
  New
Status in fontconfig package in Ubuntu:
  Incomplete
Status in freetype package in Ubuntu:
  Incomplete
Status in harfbuzz package in Ubuntu:
  Confirmed
Status in qtbase-opensource-src package in Ubuntu:
  Incomplete
Status in qtdeclarative-opensource-src package in Ubuntu:
  New
Status in ubuntu-font-family-sources package in Ubuntu:
  Confirmed
Status in ubuntu-ui-toolkit package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  This is a Dell Vostro 3550 laptop with a fresh install of 16.04 and
  unity8 Mir session

  the version of qtdeclarative5-qtmir-plugin is
  0.4.7+16.04.20160104-0ubuntu1

  As you can see from the screenshots the text has low details and, in
  the case of indicators descriptions at the top, almost disappears.

  The text could be fixed by using Text.NativeRendering instead of 
Text.QtRendering for the QML labels on low dpi screens, although text doesn't 
seem to be the only issue here. The icons are definitely lacking detail as well 
(QML Image's smoothing is enabled maybe?).
  Also the dots of the infographic don't look like circles at all, they're 
missing pixels and many of them look like a C more than an O.

  It looks to me like something is setting the wrong resolution, because
  it looks quite bad. But the screenshots are 1366x768 so I think that's
  not the case.

  NOTE: Unity7 looks perfectly fine and detailed

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1536751/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1646245] Re: /etc/init.d/ondemand keeps /etc/init.d/cpufrequtils from working

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: sysvinit (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sysvinit in Ubuntu.
https://bugs.launchpad.net/bugs/1646245

Title:
  /etc/init.d/ondemand keeps /etc/init.d/cpufrequtils from working

Status in sysvinit package in Ubuntu:
  Confirmed

Bug description:
  dpkg -S /etc/init.d/ondemand says initscripts.
  /etc/init.d/cpufrequtils already sets the cpu governor and has the
  option that a user can set system governor in /etc/default/. ondemand
  over rides this and even worse does it 60 seconds late so that the
  user can not even set the governor from rc.local. There is no sense in
  waiting 60 seconds as the cpu governor is already at ondemand or
  powersave before the system gets around to running ondemand. ondemand
  needs to just be removed so that cpufrequtils can do it's job
  properly. Or at least ondemand needs to read some file in
  /etc/defaults that tells it what the system default should be rather
  forcing the user to edit system files to get around ondemand's crazy
  activity which then breaks package updates.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: initscripts 2.88dsf-59.3ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-47.68-lowlatency 4.4.24
  Uname: Linux 4.4.0-47-lowlatency x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Wed Nov 30 12:35:55 2016
  InstallationDate: Installed on 2016-04-22 (222 days ago)
  InstallationMedia: Ubuntu-Studio 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  SourcePackage: sysvinit
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sysvinit/+bug/1646245/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1604467] Re: Alt-Left changes display screen

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: xorg (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1604467

Title:
  Alt-Left changes display screen

Status in xorg package in Ubuntu:
  Confirmed

Bug description:
  When I press Alt and Left, it changes to tty1. I expect it to move my
  browser back a page. It does that also, but I can't see that until I
  change back to tty2 which is where my session is.

  This began today, I don't know if there was an update that caused it.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
  Uname: Linux 4.4.0-31-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: GNOME
  Date: Tue Jul 19 11:40:34 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  DkmsStatus: vboxhost, 5.0.26, 4.4.0-31-generic, x86_64: installed
  EcryptfsInUse: Yes
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation Sky Lake Integrated Graphics [8086:1916] (rev 07) (prog-if 
00 [VGA controller])
 Subsystem: Hewlett-Packard Company Skylake Integrated Graphics [103c:80a1]
  InstallationDate: Installed on 2015-12-20 (212 days ago)
  InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Release amd64 
(20151021)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 003: ID 8087:0a2a Intel Corp. 
   Bus 001 Device 006: ID 04e8:6860 Samsung Electronics Co., Ltd Galaxy (MTP)
   Bus 001 Device 002: ID 05c8:0379 Cheng Uei Precision Industry Co., Ltd 
(Foxlink) 
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: HP HP Pavilion Notebook
  ProcEnviron:
   TERM=xterm
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-31-generic.efi.signed 
root=UUID=c16d5370-604d-47f6-8b73-e4766ccdfb7d ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/14/2016
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.80
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: 80A1
  dmi.board.vendor: HP
  dmi.board.version: 91.1D
  dmi.chassis.type: 10
  dmi.chassis.vendor: HP
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.80:bd06/14/2016:svnHP:pnHPPavilionNotebook:pvrType1ProductConfigId:rvnHP:rn80A1:rvr91.1D:cvnHP:ct10:cvrChassisVersion:
  dmi.product.name: HP Pavilion Notebook
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: HP
  version.compiz: compiz N/A
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Fri Apr 22 17:30:27 2016
  xserver.configfile: default
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id   20049 
   vendor SDC
  xserver.version: 2:1.17.2-1ubuntu9.1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1604467/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665196] Re: Wifi password must entered and saved from edit connections gui

2017-02-15 Thread warren
I retested to make sure this bug is valid on my hardware. Apparently it
would seem there is a time limit for entering the Wi-Fi password, if the
Wi-Fi password is entered within the time limit the Wi-Fi password is
accepted otherwise password must be entered and saved from the Edit
Connections GUI.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1665196

Title:
  Wifi password must entered and saved from edit connections gui

Status in network-manager package in Ubuntu:
  New

Bug description:
  Ubuntu 16.04.2 Live Session ISO test
  Entered WI-FI password twice does connect
  Then using from network menu right portion of top panel choosing Edit 
Connections >> Edit >>WI-FI >> Edit >> Wi-Fi security manually entering and 
saving Wi-Fi password.
  The Ubuntu 16.04.2 Live session then connects to the Wi-Fi network.

  Network-manager Version: 1.2.2-0ubuntu0.16.04.3
  Ubuntu Desktop amd64 20170215.2

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.2.2-0ubuntu0.16.04.3
  ProcVersionSignature: Ubuntu 4.8.0-36.36~16.04.1-generic 4.8.11
  Uname: Linux 4.8.0-36-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CasperVersion: 1.376.2
  CurrentDesktop: Unity
  Date: Thu Feb 16 01:58:28 2017
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  IpRoute:
   default via 192.168.77.1 dev wlp3s0  proto static  metric 600 
   169.254.0.0/16 dev wlp3s0  scope link  metric 1000 
   192.168.77.0/24 dev wlp3s0  proto kernel  scope link  src 192.168.77.106  
metric 600
  LiveMediaBuild: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  RfKill:
   0: phy0: Wireless LAN
Soft blocked: no
Hard blocked: no
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-con:
   NAMEUUID  TYPE 
TIMESTAMP   TIMESTAMP-REAL   AUTOCONNECT  AUTOCONNECT-PRIORITY  
READONLY  DBUS-PATH   ACTIVE  DEVICE  STATE 
 ACTIVE-PATH
   Ubuntu-One  9d036b67-c7ca-4f50-8d85-f5c1914f670a  802-11-wireless  
1487210288  Thu 16 Feb 2017 01:58:08 AM UTC  yes  0 
no/org/freedesktop/NetworkManager/Settings/1  yes wlp3s0  activated 
 /org/freedesktop/NetworkManager/ActiveConnection/2 
   Wired connection 1  6d2a43a6-66f1-3ac0-814f-2bdf988dfa4a  802-3-ethernet   
1487210129  Thu 16 Feb 2017 01:55:29 AM UTC  yes  4294966297
no/org/freedesktop/NetworkManager/Settings/0  no  --  --
 --
  nmcli-dev:
   DEVICE   TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
   wlp3s0   wifi  connected/org/freedesktop/NetworkManager/Devices/2  
Ubuntu-One  9d036b67-c7ca-4f50-8d85-f5c1914f670a  
/org/freedesktop/NetworkManager/ActiveConnection/2 
   enp0s25  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/0  
--  ----
 
   lo   loopback  unmanaged/org/freedesktop/NetworkManager/Devices/1  
--  ----
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.2.2connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1665196/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1662608] Re: unity8 should not depend on unity8-tests

2017-02-15 Thread Daniel van Vugt
** Changed in: qtmir (Ubuntu)
 Assignee: (unassigned) => Albert Astals Cid (aacid)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1662608

Title:
  unity8 should not depend on unity8-tests

Status in qtmir package in Ubuntu:
  Fix Committed
Status in unity8 package in Ubuntu:
  Invalid

Bug description:
  Today's unity8 update installs a bunch of -dev packages. This doesn't
  seem intended.

  It looks to me like the virtual package unity-application-impl-26
  depends on unity8-tests but it shouldn't, right?

  
  $ apt-cache showpkg unity-application-impl-23
  Package: unity-application-impl-23
  Versions: 

  Reverse Depends: 
  Dependencies: 
  Provides: 
  Reverse Provides: 
  qtdeclarative5-qtmir-plugin 0.5.1+17.04.20170127-0ubuntu1 (= )
  qtdeclarative5-qtmir-plugin 0.5.1+17.04.20170206-0ubuntu1 (= )

  $ apt-cache showpkg unity-application-impl-26
  Package: unity-application-impl-26
  Versions: 

  Reverse Depends: 
unity8-common,unity-application-impl-26
  Dependencies: 
  Provides: 
  Reverse Provides: 
  unity8-tests 8.15+17.04.20170206-0ubuntu1 (= )

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtmir/+bug/1662608/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1624705] Re: X fonts disappear after suspend/resume cycle

2017-02-15 Thread Launchpad Bug Tracker
[Expired for xorg (Ubuntu) because there has been no activity for 60
days.]

** Changed in: xorg (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1624705

Title:
  X fonts  disappear after suspend/resume cycle

Status in xorg package in Ubuntu:
  Expired

Bug description:
  Some text in system menus disappeared after laptop lid closed and opened 
(laptop resumed from suspend). Some text was visible but after moving mouse 
pointer on it - it disappear (refreshing I think). 
  Looks similar to https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1434351 
but I didn't notice such issue previously (using xubuntu about two years)

  affected: terminal, system menu, eclipse
  not affected: chrome

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
  Uname: Linux 4.4.0-36-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Sat Sep 17 20:35:35 2016
  DistUpgraded: 2016-08-19 13:25:43,724 DEBUG icon theme changed, re-reading
  DistroCodename: xenial
  DistroVariant: ubuntu
  DkmsStatus:
   bcmwl, 6.30.223.248+bdcom, 4.4.0-34-generic, x86_64: installed
   bcmwl, 6.30.223.248+bdcom, 4.4.0-36-generic, x86_64: installed
  GraphicsCard:
   Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] 
(rev 09) (prog-if 00 [VGA controller])
 Subsystem: Dell 3rd Gen Core processor Graphics Controller [1028:0533]
  InstallationDate: Installed on 2014-10-23 (695 days ago)
  InstallationMedia: Xubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 
(20140723)
  LightdmGreeterLogOld: ** (lightdm-gtk-greeter:1476): WARNING **: Failed to 
load user image: Failed to open file '/home/eshkel/.face': No such file or 
directory
  MachineType: Dell Inc. Latitude E6330
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-36-generic 
root=UUID=b398b562-a237-4f59-ac7d-ef53b66e075a ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: Upgraded to xenial on 2016-08-19 (29 days ago)
  dmi.bios.date: 05/20/2013
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A10
  dmi.board.name: 0F7WM9
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA10:bd05/20/2013:svnDellInc.:pnLatitudeE6330:pvr01:rvnDellInc.:rn0F7WM9:rvrA00:cvnDellInc.:ct9:cvr:
  dmi.product.name: Latitude E6330
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2.2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2.2
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2.3
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Fri Sep 16 10:40:50 2016
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id 844 
   vendor LGD
  xserver.version: 2:1.18.3-1ubuntu2.3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1624705/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1650702] Re: bug

2017-02-15 Thread Launchpad Bug Tracker
[Expired for xorg (Ubuntu) because there has been no activity for 60
days.]

** Changed in: xorg (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1650702

Title:
  bug

Status in xorg package in Ubuntu:
  Expired

Bug description:
  this bug will be

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-53.74-generic 4.4.30
  Uname: Linux 4.4.0-53-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Sat Dec 17 10:23:42 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Seymour [Radeon HD 6400M/7400M 
Series] [1002:6760] (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. Radeon HD 6470M [1043:1cb2]
  InstallationDate: Installed on 2016-08-11 (127 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  MachineType: ASUSTeK Computer Inc. K42JZ
  ProcEnviron:
   LANGUAGE=zh_CN:zh
   PATH=(custom, no user)
   LANG=zh_CN.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-53-generic 
root=UUID=3bce069b-6e26-43ce-865e-75e6d8b3ea78 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/29/2010
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 209
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: K42JZ
  dmi.board.vendor: ASUSTeK Computer Inc.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: 0x
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK Computer Inc.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr209:bd12/29/2010:svnASUSTeKComputerInc.:pnK42JZ:pvr1.0:rvnASUSTeKComputerInc.:rnK42JZ:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
  dmi.product.name: K42JZ
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK Computer Inc.
  version.compiz: compiz 1:0.9.12.2+16.04.20160415-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Sat Dec 17 08:43:48 2016
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs: Output  HDMI-0
LVDS   VGA-0
  xserver.version: 2:1.18.3-1ubuntu2
  xserver.video_driver: radeon

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1650702/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1650753] Re: not runnig as it was used to do

2017-02-15 Thread Launchpad Bug Tracker
[Expired for xorg (Ubuntu) because there has been no activity for 60
days.]

** Changed in: xorg (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1650753

Title:
  not runnig as it was used to do

Status in xorg package in Ubuntu:
  Expired

Bug description:
  can not run standard 16.04 as i am use to do, runing kde so i can use my pc.
  i do not know much about linux but i like it more than windows

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-57.78-generic 4.4.35
  Uname: Linux 4.4.0-57-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.4
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  Date: Sat Dec 17 13:11:53 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics 
Controller [8086:0412] (rev 06) (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. Xeon E3-1200 v3/4th Gen Core Processor 
Integrated Graphics Controller [1043:8534]
  InstallationDate: Installed on 2016-02-14 (306 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  MachineType: ASUS All Series
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-57-generic 
root=UUID=d07f83e4-9211-459a-bdfb-c170338ae1e4 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/04/2014
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 2308
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: Z97-K
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev X.0x
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr2308:bd11/04/2014:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnZ97-K:rvrRevX.0x:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.name: All Series
  dmi.product.version: System Version
  dmi.sys.vendor: ASUS
  version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2.2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2.2
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Sat Dec 17 12:34:46 2016
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id1847 
   vendor SAM
  xserver.version: 2:1.18.4-0ubuntu0.2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1650753/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1650745] Re: could not resolve unmet dependencies

2017-02-15 Thread Launchpad Bug Tracker
[Expired for xorg (Ubuntu) because there has been no activity for 60
days.]

** Changed in: xorg (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1650745

Title:
  could not resolve unmet dependencies

Status in xorg package in Ubuntu:
  Expired

Bug description:
  several software could not resolve because of unmet dependencies.
  even ubuntu software could not open.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-53.74-generic 4.4.30
  Uname: Linux 4.4.0-53-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.4
  Architecture: amd64
  BootLog:
   [  OK  ] Started LSB: Speech Dispatcher.
   [  OK  ] Started LSB: Set the CPU Frequency Scaling governor to 
"ondemand".
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  Date: Sat Dec 17 18:00:18 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09) 
(prog-if 00 [VGA controller])
 Subsystem: Lenovo Broadwell-U Integrated Graphics [17aa:382a]
  InstallationDate: Installed on 2016-12-09 (7 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  MachineType: LENOVO 80QQ
  ProcEnviron:
   LANGUAGE=en_IN:en
   PATH=(custom, no user)
   LANG=en_IN
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-53-generic 
root=UUID=94fd885a-2020-4a99-87cd-1ed78e4bb505 ro nopat plymouth:debug 
vesafb.invalid=1 drm.debug=0xe
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/04/2015
  dmi.bios.vendor: LENOVO
  dmi.bios.version: E0CN16WW
  dmi.board.asset.tag: NO Asset Tag
  dmi.board.name: Nano 5B6
  dmi.board.vendor: LENOVO
  dmi.board.version: NO DPK
  dmi.chassis.asset.tag: NO Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Lenovo ideapad 100-15IBD
  dmi.modalias: 
dmi:bvnLENOVO:bvrE0CN16WW:bd08/04/2015:svnLENOVO:pn80QQ:pvrLenovoideapad100-15IBD:rvnLENOVO:rnNano5B6:rvrNODPK:cvnLENOVO:ct10:cvrLenovoideapad100-15IBD:
  dmi.product.name: 80QQ
  dmi.product.version: Lenovo ideapad 100-15IBD
  dmi.sys.vendor: LENOVO
  version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2.2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2.2
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Sat Dec 17 17:58:38 2016
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id   17900 
   vendor AUO
  xserver.version: 2:1.18.4-0ubuntu0.2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1650745/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1663062] Re: [regression] Software clients of nested servers with size >=480x480 are all black in Mir 0.25.0 and later (or stretched and distorted under Unity8)

2017-02-15 Thread Daniel van Vugt
** Branch linked: lp:~kdub/mir/fix-1663062-step2

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1663062

Title:
  [regression] Software clients of nested servers with size >=480x480
  are all black in Mir 0.25.0 and later (or stretched and distorted
  under Unity8)

Status in Canonical System Image:
  Fix Committed
Status in Mir:
  Fix Committed
Status in Mir 0.25 series:
  Won't Fix
Status in Mir 0.26 series:
  Fix Committed
Status in mesa package in Ubuntu:
  Invalid
Status in mir package in Ubuntu:
  Triaged

Bug description:
  GPU apps seem to work.

  CPU apps all get black screen.

  To repro :
  Under unity7 using mir-on-x:

  1- In a terminal, run :
  mir_demo_server -f /tmp/mysock

  2- In another terminal, run :
  mir_demo_server --host-socket /tmp/mysock

  3- In another terminal, run :
  mir_demo_client_progressbar

  Under Unity8 :
  In another terminal, run :
  mir_demo_client_progressbar

  Observe that, the window is black.

  Whereas, egl clients run fine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1663062/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665202] [NEW] [HP ENVY 15 Notebook PC, Realtek ALC3241, Speaker, Internal] has volume and I can hear system sounds but I can't hear application sounds. There are no muted apps

2017-02-15 Thread Jeian Louell P. Nueva
Public bug reported:

It's working before. After a day using an HDMI cable, the sound of the
applications went missing and now, I can only hear system sounds such as
login and the volume up and down. I don't really know what happened. I
tried resetting using some techniques in online forums but there was no
luck.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 4.8.0-37.39-generic 4.8.16
Uname: Linux 4.8.0-37-generic x86_64
ApportVersion: 2.20.3-0ubuntu8.2
Architecture: amd64
AudioDevicesInUse:
 USERPID ACCESS COMMAND
 /dev/snd/pcmC0D3p:   jeiannueva   2381 F...m pulseaudio
 /dev/snd/controlC0:  jeiannueva   2381 F pulseaudio
 /dev/snd/controlC1:  jeiannueva   2381 F pulseaudio
CurrentDesktop: Unity
Date: Thu Feb 16 11:07:02 2017
EcryptfsInUse: Yes
InstallationDate: Installed on 2017-02-02 (13 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_PH:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_PH.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_Jack: Speaker, Internal
Symptom_Type: Volume slider, or mixer problems
Title: [HP ENVY 15 Notebook PC, Realtek ALC3241, Speaker, Internal] volume 
slider problem
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/25/2014
dmi.bios.vendor: Insyde
dmi.bios.version: F.22
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 22A0
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 83.12
dmi.chassis.asset.tag: 5CG5080CCX
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnInsyde:bvrF.22:bd11/25/2014:svnHewlett-Packard:pnHPENVY15NotebookPC:pvr097F12405F1310100:rvnHewlett-Packard:rn22A0:rvrKBCVersion83.12:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP ENVY 15 Notebook PC
dmi.product.version: 097F12405F1310100
dmi.sys.vendor: Hewlett-Packard

** Affects: alsa-driver (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug yakkety

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1665202

Title:
  [HP ENVY 15 Notebook PC, Realtek ALC3241, Speaker, Internal] has
  volume and I can hear system sounds but I can't hear application
  sounds. There are no muted apps

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  It's working before. After a day using an HDMI cable, the sound of the
  applications went missing and now, I can only hear system sounds such
  as login and the volume up and down. I don't really know what
  happened. I tried resetting using some techniques in online forums but
  there was no luck.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.8.0-37.39-generic 4.8.16
  Uname: Linux 4.8.0-37-generic x86_64
  ApportVersion: 2.20.3-0ubuntu8.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC0D3p:   jeiannueva   2381 F...m pulseaudio
   /dev/snd/controlC0:  jeiannueva   2381 F pulseaudio
   /dev/snd/controlC1:  jeiannueva   2381 F pulseaudio
  CurrentDesktop: Unity
  Date: Thu Feb 16 11:07:02 2017
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2017-02-02 (13 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
  PackageArchitecture: all
  ProcEnviron:
   LANGUAGE=en_PH:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_PH.UTF-8
   SHELL=/bin/bash
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_Jack: Speaker, Internal
  Symptom_Type: Volume slider, or mixer problems
  Title: [HP ENVY 15 Notebook PC, Realtek ALC3241, Speaker, Internal] volume 
slider problem
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/25/2014
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.22
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: 22A0
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: KBC Version 83.12
  dmi.chassis.asset.tag: 5CG5080CCX
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.22:bd11/25/2014:svnHewlett-Packard:pnHPENVY15NotebookPC:pvr097F12405F1310100:rvnHewlett-Packard:rn22A0:rvrKBCVersion83.12:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.name: HP ENVY 15 Notebook PC
  dmi.product.version: 097F12405F1310100
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1665202/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post 

[Touch-packages] [Bug 1644098] Re: Network Manager + OpenVPN does not respond to DNS server change on second connection attempt

2017-02-15 Thread Daniel
I had to uninstall the package "dnsmasq" because I had problems
resolving the domains that should work (eg youtube) even with the vpn
disconnected, it had weird behavior.

I continue restarting the service "network-manager" to be able to
reconnect correctly to the vpn.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1644098

Title:
  Network Manager + OpenVPN does not respond to DNS server change on
  second connection attempt

Status in dnsmasq:
  New
Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  Scenario:
  Discovered on Kubuntu 16.10, upgraded from a fresh install of 16.04. While I 
only have the one computer to test with, the 16.10 is definitely relevant (I 
did not have this problem on 16.04)  but I can't tell if the upgrade is part of 
it,  (the upgrade may or may not be relevant).

  Have "full time"  wired or wireless connection  (does not matter which used)
  Part time OpenVPN connection set up via NetworkManager.

  Steps to reproduce
  1. Fresh boot
  2.  ping a device on the VPN network  (eg amachine.remotelan ) Result:  
"ping: amachine.remotelan: Name or service not known"
  3.  Connect to the VPN service via Network Manager.
  4. ping amachine.remotelan  -  result:
   PING amachine.remotelan (192.168.68.44) 56(84) bytes of data.
64 bytes from amachine.remotelan (192.168.68.44): icmp_seq=1 ttl=127 
time=7.75 ms
  5.  Disconnect from the VPN service again.
ping result again "ping: amachine.remotelan: Name or service not known"

  6. Reconnect to the VPN again, and ping again

  Observed: 
 "ping: amachine.remotelan: Name or service not known"

However "ping 192.168.68.44"  responds successfully as expected

  Expected:
  PING ... 192.168 64 bytes from .. etc   to the ping by name

  ---
  Further info I'm going to add in a subsequent comment. (just annotating 
syslog right now!)

To manage notifications about this bug go to:
https://bugs.launchpad.net/dnsmasq/+bug/1644098/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1662799] Re: System freezes

2017-02-15 Thread madbiologist
** Summary changed:

- bug
+ System freezes

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1662799

Title:
  System freezes

Status in xorg package in Ubuntu:
  New

Bug description:
  Bonjour,
  Le système gèle, surtout quand j'utilise un lecteur de vidéo.
  Merci
  Cordialement.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: xorg 1:7.7+13ubuntu4
  ProcVersionSignature: Ubuntu 4.8.0-37.39-generic 4.8.16
  Uname: Linux 4.8.0-37-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.3-0ubuntu8.2
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  Date: Wed Feb  8 08:33:15 2017
  DistUpgraded: 2017-02-04 18:24:11,537 ERROR got error from PostInstallScript 
./xorg_fix_proprietary.py (g-exec-error-quark: L'exécution du processus fils « 
./xorg_fix_proprietary.py » a échoué (No such file or directory) (8))
  DistroCodename: yakkety
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   NVIDIA Corporation GT215 [GeForce GT 320] [10de:0ca2] (rev a2) (prog-if 00 
[VGA controller])
 Subsystem: PC Partner Limited / Sapphire Technology GT215 [GeForce GT 320] 
[174b:2150]
  InstallationDate: Installed on 2016-12-17 (52 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 004 Device 002: ID 046d:c50e Logitech, Inc. Cordless Mouse Receiver
   Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
  MachineType: Packard Bell imedia S3210
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-37-generic 
root=UUID=c5d2d972-c6c9-4dc9-9c2e-f7a0abc19de0 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: Upgraded to yakkety on 2017-02-04 (3 days ago)
  dmi.bios.date: 11/06/2009
  dmi.bios.vendor: Phoenix Technologies, LTD
  dmi.bios.version: P01-B2
  dmi.board.name: WMCP78M
  dmi.board.vendor: Packard Bell
  dmi.chassis.type: 3
  dmi.chassis.vendor: Packard Bell
  dmi.modalias: 
dmi:bvnPhoenixTechnologies,LTD:bvrP01-B2:bd11/06/2009:svnPackardBell:pnimediaS3210:pvr:rvnPackardBell:rnWMCP78M:rvr:cvnPackardBell:ct3:cvr:
  dmi.product.name: imedia S3210
  dmi.sys.vendor: Packard Bell
  version.compiz: compiz 1:0.9.13.0+16.10.20160818.2-0ubuntu2
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.70-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 12.0.6-0ubuntu0.16.10.1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 12.0.6-0ubuntu0.16.10.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-1ubuntu6.1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.2-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160706-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-2
  xserver.bootTime: Tue Feb  7 16:06:12 2017
  xserver.configfile: default
  xserver.devices:
   inputPower Button KEYBOARD, id 6
   inputPower Button KEYBOARD, id 7
   inputLogitech USB RECEIVER MOUSE, id 8
   inputAT Translated Set 2 keyboard KEYBOARD, id 9
  xserver.errors:
   Failed to load module "nvidia" (module does not exist, 0)
   Failed to load module "nvidia" (module does not exist, 0)
  xserver.logfile: /var/log/Xorg.0.log
  xserver.version: 2:1.18.4-1ubuntu6.1
  xserver.video_driver: nouveau

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1662799/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665196] Re: Wifi password must entered and saved from edit connections gui

2017-02-15 Thread Ubuntu QA Website
This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1665196

** Tags added: iso-testing

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1665196

Title:
  Wifi password must entered and saved from edit connections gui

Status in network-manager package in Ubuntu:
  New

Bug description:
  Ubuntu 16.04.2 Live Session ISO test
  Entered WI-FI password twice does connect
  Then using from network menu right portion of top panel choosing Edit 
Connections >> Edit >>WI-FI >> Edit >> Wi-Fi security manually entering and 
saving Wi-Fi password.
  The Ubuntu 16.04.2 Live session then connects to the Wi-Fi network.

  Network-manager Version: 1.2.2-0ubuntu0.16.04.3
  Ubuntu Desktop amd64 20170215.2

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.2.2-0ubuntu0.16.04.3
  ProcVersionSignature: Ubuntu 4.8.0-36.36~16.04.1-generic 4.8.11
  Uname: Linux 4.8.0-36-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CasperVersion: 1.376.2
  CurrentDesktop: Unity
  Date: Thu Feb 16 01:58:28 2017
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  IpRoute:
   default via 192.168.77.1 dev wlp3s0  proto static  metric 600 
   169.254.0.0/16 dev wlp3s0  scope link  metric 1000 
   192.168.77.0/24 dev wlp3s0  proto kernel  scope link  src 192.168.77.106  
metric 600
  LiveMediaBuild: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  RfKill:
   0: phy0: Wireless LAN
Soft blocked: no
Hard blocked: no
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-con:
   NAMEUUID  TYPE 
TIMESTAMP   TIMESTAMP-REAL   AUTOCONNECT  AUTOCONNECT-PRIORITY  
READONLY  DBUS-PATH   ACTIVE  DEVICE  STATE 
 ACTIVE-PATH
   Ubuntu-One  9d036b67-c7ca-4f50-8d85-f5c1914f670a  802-11-wireless  
1487210288  Thu 16 Feb 2017 01:58:08 AM UTC  yes  0 
no/org/freedesktop/NetworkManager/Settings/1  yes wlp3s0  activated 
 /org/freedesktop/NetworkManager/ActiveConnection/2 
   Wired connection 1  6d2a43a6-66f1-3ac0-814f-2bdf988dfa4a  802-3-ethernet   
1487210129  Thu 16 Feb 2017 01:55:29 AM UTC  yes  4294966297
no/org/freedesktop/NetworkManager/Settings/0  no  --  --
 --
  nmcli-dev:
   DEVICE   TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
   wlp3s0   wifi  connected/org/freedesktop/NetworkManager/Devices/2  
Ubuntu-One  9d036b67-c7ca-4f50-8d85-f5c1914f670a  
/org/freedesktop/NetworkManager/ActiveConnection/2 
   enp0s25  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/0  
--  ----
 
   lo   loopback  unmanaged/org/freedesktop/NetworkManager/Devices/1  
--  ----
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.2.2connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1665196/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1550983] Re: Fails to start with "Couldn't open libGL.so.1" (missing dependency?)

2017-02-15 Thread Mathew Hodson
** Changed in: gtk+3.0 (Ubuntu Xenial)
   Importance: Undecided => High

** Changed in: gtk+3.0 (Ubuntu Yakkety)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1550983

Title:
  Fails to start with "Couldn't open libGL.so.1" (missing dependency?)

Status in One Hundred Papercuts:
  Confirmed
Status in gtk+3.0 package in Ubuntu:
  Fix Released
Status in gtk+3.0 source package in Xenial:
  Fix Committed
Status in gtk+3.0 source package in Yakkety:
  In Progress
Status in gtk+3.0 package in Debian:
  Fix Released

Bug description:
  [Impact]
  There are some unlinked calls to libGL.so.1 undetected in the build process 
because of using libepoxy. Running an application that does not depend on 
libgl1 (directly or indirectly) may lead to aborting the process with an 
undefined reference to libGL.so.1.

  [Test Case]
  1. Deploy a server / cloud image of Xenial or Yakkety.
  2. Use a Windows or a Mac client with Cygwin/X and ssh -XY to Ubuntu machine.
  3. sudo apt install firefox; firefox

  Expected result:
  firefox is launched on the client machine.

  Actual result:
  "Couldn't open libGL.so.1" message is printed.

  [Regression Potential]
  Minimal, it is an upstream change already released to zesty. It performs a 
runtime check for GL support and disables GLX function calls in case they're 
not available.

  [Other Info]
  Original bug description:

  virt-manager fails to start:

  $ virt-manager --debug --no-fork
  [Sun, 28 Feb 2016 19:18:22 virt-manager 7592] DEBUG (cli:256) Launched with 
command line: /usr/share/virt-manager/virt-manager --debug --no-fork
  [Sun, 28 Feb 2016 19:18:22 virt-manager 7592] DEBUG (virt-manager:143) 
virt-manager version: 1.3.2
  [Sun, 28 Feb 2016 19:18:22 virt-manager 7592] DEBUG (virt-manager:144) 
virtManager import: 
  Couldn't open libGL.so.1: libGL.so.1: cannot open shared object file: No such 
file or directory
  $

  Installing the 'libgl1-mesa-glx' package resolves the issue.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: virt-manager 1:1.3.2-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-8.23-generic 4.4.2
  Uname: Linux 4.4.0-8-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  Date: Sun Feb 28 19:19:27 2016
  InstallationDate: Installed on 2016-02-27 (0 days ago)
  InstallationMedia: Ubuntu-Server 16.04 LTS "Xenial Xerus" - Alpha amd64 
(20160206)
  PackageArchitecture: all
  SourcePackage: virt-manager
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1550983/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665196] [NEW] Wifi password must entered and saved from edit connections gui

2017-02-15 Thread warren
Public bug reported:

Ubuntu 16.04.2 Live Session ISO test
Entered WI-FI password twice does connect
Then using from network menu right portion of top panel choosing Edit 
Connections >> Edit >>WI-FI >> Edit >> Wi-Fi security manually entering and 
saving Wi-Fi password.
The Ubuntu 16.04.2 Live session then connects to the Wi-Fi network.

Network-manager Version: 1.2.2-0ubuntu0.16.04.3
Ubuntu Desktop amd64 20170215.2

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: network-manager 1.2.2-0ubuntu0.16.04.3
ProcVersionSignature: Ubuntu 4.8.0-36.36~16.04.1-generic 4.8.11
Uname: Linux 4.8.0-36-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
CasperVersion: 1.376.2
CurrentDesktop: Unity
Date: Thu Feb 16 01:58:28 2017
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IpRoute:
 default via 192.168.77.1 dev wlp3s0  proto static  metric 600 
 169.254.0.0/16 dev wlp3s0  scope link  metric 1000 
 192.168.77.0/24 dev wlp3s0  proto kernel  scope link  src 192.168.77.106  
metric 600
LiveMediaBuild: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RfKill:
 0: phy0: Wireless LAN
Soft blocked: no
Hard blocked: no
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-con:
 NAMEUUID  TYPE 
TIMESTAMP   TIMESTAMP-REAL   AUTOCONNECT  AUTOCONNECT-PRIORITY  
READONLY  DBUS-PATH   ACTIVE  DEVICE  STATE 
 ACTIVE-PATH
 Ubuntu-One  9d036b67-c7ca-4f50-8d85-f5c1914f670a  802-11-wireless  
1487210288  Thu 16 Feb 2017 01:58:08 AM UTC  yes  0 
no/org/freedesktop/NetworkManager/Settings/1  yes wlp3s0  activated 
 /org/freedesktop/NetworkManager/ActiveConnection/2 
 Wired connection 1  6d2a43a6-66f1-3ac0-814f-2bdf988dfa4a  802-3-ethernet   
1487210129  Thu 16 Feb 2017 01:55:29 AM UTC  yes  4294966297
no/org/freedesktop/NetworkManager/Settings/0  no  --  --
 --
nmcli-dev:
 DEVICE   TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
 wlp3s0   wifi  connected/org/freedesktop/NetworkManager/Devices/2  
Ubuntu-One  9d036b67-c7ca-4f50-8d85-f5c1914f670a  
/org/freedesktop/NetworkManager/ActiveConnection/2 
 enp0s25  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/0  --  
----
 
 lo   loopback  unmanaged/org/freedesktop/NetworkManager/Devices/1  --  
----
nmcli-nm:
 RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  WIFI  
   WWAN-HW  WWAN
 running  1.2.2connected  started  full  enabled enabled  
enabled  enabled  enabled

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1665196

Title:
  Wifi password must entered and saved from edit connections gui

Status in network-manager package in Ubuntu:
  New

Bug description:
  Ubuntu 16.04.2 Live Session ISO test
  Entered WI-FI password twice does connect
  Then using from network menu right portion of top panel choosing Edit 
Connections >> Edit >>WI-FI >> Edit >> Wi-Fi security manually entering and 
saving Wi-Fi password.
  The Ubuntu 16.04.2 Live session then connects to the Wi-Fi network.

  Network-manager Version: 1.2.2-0ubuntu0.16.04.3
  Ubuntu Desktop amd64 20170215.2

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.2.2-0ubuntu0.16.04.3
  ProcVersionSignature: Ubuntu 4.8.0-36.36~16.04.1-generic 4.8.11
  Uname: Linux 4.8.0-36-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CasperVersion: 1.376.2
  CurrentDesktop: Unity
  Date: Thu Feb 16 01:58:28 2017
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  IpRoute:
   default via 192.168.77.1 dev wlp3s0  proto static  metric 600 
   169.254.0.0/16 dev wlp3s0  scope link  metric 1000 
   192.168.77.0/24 dev wlp3s0  proto kernel  scope link  src 192.168.77.106  
metric 600
  LiveMediaBuild: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  ProcEnviron:
   

[Touch-packages] [Bug 1583088] Re: Randomly corrupt font / text / characters in Unity8

2017-02-15 Thread Daniel van Vugt
** Also affects: qtdeclarative-opensource-src (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: qtdeclarative-opensource-src (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtdeclarative-opensource-
src in Ubuntu.
https://bugs.launchpad.net/bugs/1583088

Title:
  Randomly corrupt font / text / characters in Unity8

Status in Canonical System Image:
  In Progress
Status in Mir:
  Won't Fix
Status in gnome-desktop package in Ubuntu:
  Invalid
Status in mir package in Ubuntu:
  Won't Fix
Status in qtdeclarative-opensource-src package in Ubuntu:
  New
Status in qtmir package in Ubuntu:
  In Progress
Status in unity8 package in Ubuntu:
  Invalid

Bug description:
  Corrupted characters in text rendering.

  Only happens after starting non-GL application, like GTK application
  or mir_demo_client_fingerpaint.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1583088/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664947] Re: [unity8] alt drag a child window doesn't work

2017-02-15 Thread Daniel van Vugt
** Tags added: unity8-desktop

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1664947

Title:
  [unity8] alt drag a child window doesn't work

Status in Canonical System Image:
  New
Status in unity8 package in Ubuntu:
  New

Bug description:
  ubuntu 17.04 unity8

  open a random app, tiled or kate or whatever, open a child window
  (help/about or whatever) and then try to move the window with alt left
  click, press alt left click inside the window and drag (move the
  mouse). it doesn't work. it does work with the main window

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1664947/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1624728] Re: package fontconfig 2.11.94-0ubuntu1.1 failed to install/upgrade: triggers looping, abandoned

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: fontconfig (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1624728

Title:
  package fontconfig 2.11.94-0ubuntu1.1 failed to install/upgrade:
  triggers looping, abandoned

Status in fontconfig package in Ubuntu:
  Confirmed

Bug description:
  I just don't know...

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: fontconfig 2.11.94-0ubuntu1.1
  ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
  Uname: Linux 4.4.0-36-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  Date: Sat Sep 17 15:20:55 2016
  ErrorMessage: triggers looping, abandoned
  InstallationDate: Installed on 2016-01-01 (260 days ago)
  InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 
(20140722.2)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.12~ubuntu16.04.1
  SourcePackage: fontconfig
  Title: package fontconfig 2.11.94-0ubuntu1.1 failed to install/upgrade: 
triggers looping, abandoned
  UpgradeStatus: Upgraded to xenial on 2016-09-17 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/fontconfig/+bug/1624728/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1137630] Re: Emojis are not shown in ubuntu applications (and phone)

2017-02-15 Thread Michael Letterle
Pinging this issue, it seems like something that would be expected.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1137630

Title:
  Emojis are not shown in ubuntu applications (and phone)

Status in ttf-ancient-fonts package in Ubuntu:
  Fix Released
Status in ubuntu-meta package in Ubuntu:
  Fix Released
Status in ubuntu-touch-meta package in Ubuntu:
  Confirmed

Bug description:
  Hi,

  As Ubuntu is being ported to tablets and phones, where communication
  is an important aspect of their fonctionality, I would like to ask
  whether it would be possible to add the glyphs of the emojis and other
  symbols, which have been defined in Unicode 6.0 and 6.1 to the Ubuntu
  font.

  If I am correct, the emoticons/emojis are code in Unicode from U+1F600
  bis U+1F64F.

  However, other symbols like broken heart and others might also be
  interesting, for example: U+1F493 - U+1F493, U+1F4A1 - U+1F4A6, U+2639
  - U+2642,...

  For those interested, these glyphs are currently included in the
  fonts-vlgothic package in the Ubuntu repositories.

  Cheers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ttf-ancient-fonts/+bug/1137630/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1486940] Re: Example for UbuntuListView mix versions and doesn't work

2017-02-15 Thread Adnane Belmadiaf
The 15.04.6 are using the latest version, but the second example doesn't
work missing XmlListModel import

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1486940

Title:
  Example for UbuntuListView mix versions and doesn't work

Status in ubuntu-ui-toolkit package in Ubuntu:
  Triaged

Bug description:
  The UbuntuListView example on wily contains 2 examples:
  - the first one exercise the 1.3 Ubuntu SDK version (import Ubuntu.Components 
1.3)
  - the second one exercise the 1.2 Ubuntu SDK version. (import 
Ubuntu.Components 1.2)

  This is confusing to the developers, only one version import should be
  shown (another bug is opened so that it matches the imports version on
  which you press F1).

  In addition to this, the second example doesn't work:
  import QtQuick 2.4
  import Ubuntu.Components 1.2
  import Ubuntu.Components.ListItems 1.0

  UbuntuListView {
  width: units.gu(40)
  height: units.gu(71)
  model: XmlListModel {
  source: "http://feeds.reuters.com/reuters/topNews;
  query: "/rss/channel/item"
  XmlRole { name: "title"; query: "title/string()" }
  }
  // let refresh control know when the refresh gets completed
  pullToRefresh {
  enable: true
  refreshing: model.status === XmlListModel.Loading
  onRefresh: model.reload()
  }
  delegate: ListItem.Standard {
  width: ListView.view.width
  height: units.gu(5)
  text: modelData
  onClicked: {
  ListView.view.model.reload();
  }
  }
  }

  It misses some import for QtQuick.XmlListModel 2.0. When fixing this, running 
it in wily, it then triggers an error: 
  ListItem.Standard - ListItem is not a namespace.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1486940/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1486940] Re: Example for UbuntuListView mix versions and doesn't work

2017-02-15 Thread Launchpad Bug Tracker
** Branch linked: lp:~daker/ubuntu-ui-toolkit/fix.1486940

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1486940

Title:
  Example for UbuntuListView mix versions and doesn't work

Status in ubuntu-ui-toolkit package in Ubuntu:
  Triaged

Bug description:
  The UbuntuListView example on wily contains 2 examples:
  - the first one exercise the 1.3 Ubuntu SDK version (import Ubuntu.Components 
1.3)
  - the second one exercise the 1.2 Ubuntu SDK version. (import 
Ubuntu.Components 1.2)

  This is confusing to the developers, only one version import should be
  shown (another bug is opened so that it matches the imports version on
  which you press F1).

  In addition to this, the second example doesn't work:
  import QtQuick 2.4
  import Ubuntu.Components 1.2
  import Ubuntu.Components.ListItems 1.0

  UbuntuListView {
  width: units.gu(40)
  height: units.gu(71)
  model: XmlListModel {
  source: "http://feeds.reuters.com/reuters/topNews;
  query: "/rss/channel/item"
  XmlRole { name: "title"; query: "title/string()" }
  }
  // let refresh control know when the refresh gets completed
  pullToRefresh {
  enable: true
  refreshing: model.status === XmlListModel.Loading
  onRefresh: model.reload()
  }
  delegate: ListItem.Standard {
  width: ListView.view.width
  height: units.gu(5)
  text: modelData
  onClicked: {
  ListView.view.model.reload();
  }
  }
  }

  It misses some import for QtQuick.XmlListModel 2.0. When fixing this, running 
it in wily, it then triggers an error: 
  ListItem.Standard - ListItem is not a namespace.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1486940/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1539348] Re: udevadm info reports wrong ID_MODEL_ID and ID_VENDOR_ID for USB serial port

2017-02-15 Thread Reasoner
I got my new board working like the old board. I'm starting to think
this false detection is not a problem with udev or systemd, but actually
the board appearing as one device, such as a flash bootloader, then
disconnecting itself and reconnecting as another ACM serial device.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1539348

Title:
  udevadm info reports wrong ID_MODEL_ID and ID_VENDOR_ID for USB serial
  port

Status in qtserialport-opensource-src package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  Running udevadm info with the device path of a virtual serial port
  created by a USB device (in this case a Particle Photon development
  board) returns the ID_MODEL_ID and ID_VENDOR_ID for the USB host
  controller instead of the Particle device.

  The consequence is mis-detection of the device associated with a
  virtual serial port in applications.

  udevadm info with the virtual serial port. Expect ID_MODEL_ID=c00a and
  ID_VENDOR_ID=2b04

  $ udevadm info --query=property -p 
/devices/pci:00/:00:14.0/usb1/1-1/1-1:1.0/tty/ttyACM0
  DEVLINKS=/dev/serial/by-id/pci-Particle_Electron_050C-if00 
/dev/serial/by-path/pci-:00:14.0-usb-0:1:1.0
  DEVNAME=/dev/ttyACM0
  DEVPATH=/devices/pci:00/:00:14.0/usb1/1-1/1-1:1.0/tty/ttyACM0
  ID_BUS=pci
  ID_MODEL=Electron
  ID_MODEL_ENC=Electron
  ID_MODEL_FROM_DATABASE=7 Series/C210 Series Chipset Family USB xHCI Host 
Controller (Zenbook Prime UX31A)
  ID_MODEL_ID=0x1e31
  ID_PATH=pci-:00:14.0-usb-0:1:1.0
  ID_PATH_TAG=pci-_00_14_0-usb-0_1_1_0
  ID_PCI_CLASS_FROM_DATABASE=Serial bus controller
  ID_PCI_INTERFACE_FROM_DATABASE=XHCI
  ID_PCI_SUBCLASS_FROM_DATABASE=USB controller
  ID_REVISION=0200
  ID_SERIAL=Particle_Electron_050C
  ID_SERIAL_SHORT=050C
  ID_TYPE=generic
  ID_USB_CLASS_FROM_DATABASE=Communications
  ID_USB_DRIVER=cdc_acm
  ID_USB_INTERFACES=:020201:0a:
  ID_USB_INTERFACE_NUM=00
  ID_VENDOR=Particle
  ID_VENDOR_ENC=Particle
  ID_VENDOR_FROM_DATABASE=Intel Corporation
  ID_VENDOR_ID=0x8086
  MAJOR=166
  MINOR=0
  SUBSYSTEM=tty
  TAGS=:systemd:
  USEC_INITIALIZED=4586285779

  Running udevadm info with the base device path gives expected IDs

  $ udevadm info --query=property -p /devices/pci:00/:00:14.0/usb1/1-1
  BUSNUM=001
  DEVNAME=/dev/bus/usb/001/008
  DEVNUM=008
  DEVPATH=/devices/pci:00/:00:14.0/usb1/1-1
  DEVTYPE=usb_device
  DRIVER=usb
  ID_BUS=usb
  ID_MODEL=Electron
  ID_MODEL_ENC=Electron
  ID_MODEL_ID=c00a
  ID_REVISION=0200
  ID_SERIAL=Particle_Electron_050C
  ID_SERIAL_SHORT=050C
  ID_USB_INTERFACES=:020201:0a:
  ID_VENDOR=Particle
  ID_VENDOR_ENC=Particle
  ID_VENDOR_ID=2b04
  MAJOR=189
  MINOR=7
  PRODUCT=2b04/c00a/200
  SUBSYSTEM=usb
  TYPE=2/0/0
  USEC_INITIALIZED=4585731209

  Running lsusb gives the expected IDs.

  $ lsusb -v
  Bus 001 Device 008: ID 2b04:c00a  
  Device Descriptor:
bLength18
bDescriptorType 1
bcdUSB   2.00
bDeviceClass2 Communications
bDeviceSubClass 0 
bDeviceProtocol 0 
bMaxPacketSize064
idVendor   0x2b04 
idProduct  0xc00a 
bcdDevice2.00
iManufacturer   1 Particle
iProduct2 Electron
iSerial 3 050C
bNumConfigurations  1
Configuration Descriptor:
  bLength 9
  bDescriptorType 2
  wTotalLength   67
  bNumInterfaces  2
  bConfigurationValue 1
  iConfiguration  0 
  bmAttributes 0xc0
Self Powered
  MaxPower  100mA
  Interface Descriptor:
bLength 9
bDescriptorType 4
bInterfaceNumber0
bAlternateSetting   0
bNumEndpoints   1
bInterfaceClass 2 Communications
bInterfaceSubClass  2 Abstract (modem)
bInterfaceProtocol  1 AT-commands (v.25ter)
iInterface  0 
CDC Header:
  bcdCDC   1.10
CDC Call Management:
  bmCapabilities   0x00
  bDataInterface  1
CDC ACM:
  bmCapabilities   0x02
line coding and serial state
CDC Union:
  bMasterInterface0
  bSlaveInterface 1 
Endpoint Descriptor:
  bLength 7
  bDescriptorType 5
  bEndpointAddress 0x82  EP 2 IN
  bmAttributes3
Transfer TypeInterrupt
Synch Type   None
Usage Type   Data
  wMaxPacketSize 0x0008  1x 8 bytes
  bInterval 255
  Interface 

[Touch-packages] [Bug 764414] Re: private master bugs are confusing and lead to more duplicate filings

2017-02-15 Thread Karl Fogel
Hey, @ubuntu-johnwash.  I agree @tafthorne's comment was long, but it
also went into more detail than mine (mine left some steps as "exercises
for the reader").  I'm glad I was able to summarize the key part for you
:-).

Yes, would be nice if a maintainer wanted to pick this up.  I don't have
any insight into their priorities, and don't have time to work on the
patch myself, though.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/764414

Title:
  private master bugs are confusing and lead to more duplicate filings

Status in apport package in Ubuntu:
  Triaged

Bug description:
  Binary package hint: apport

  Apport currently tracks the master bug as a private bug visible only
  to Ubuntu developers (bugcontrol) and makes duplicate bugs public
  after stripping their data.

  This works well but has some downsides:
   - Launchpad cannot show the master bug to folk reporting bugs via apport (so 
they file new bugs always)
   - After users file a new bug apport detects its a duplicate and then they 
cannot see the master bug and get frustrated.

  It would be nice to have:
   - the master bug be public so that reporters of dups can see it in the dupe 
finder and can see if a dupe is detected post-filing.
   - Developers still have easy access to the raw crash data.
    - One way to do that that does not need much development would be to have a 
private bug exist, linked from the master bug (e.g. with a comment or in the 
description; something like 'Confidential crashdump for this bug is attached to 
bug 12345 - only visible to Ubuntu developers').

  One way to achieve this is to have apport file a new public bug to be
  the master. This would have the necessary metadata and would include
  the link to the private bug + gather all the duplicates to itself. One
  downside is that Apport would appear to be the bug reporter for all
  crashdump based bug reports. That's not necessarily a bad thing, but
  it may confuse people.

  Another way would be to have apport file a new private bug, move the
  attachments over from the original bug, add explanation and metadata
  in the description, subscribe bugcontrol and then sanitise the
  original bug report the same way it sanitises public bugs today. This
  would make the original bug be the public master, preserving the date
  of filing and the reporter. OTOH large files would need to be shuffled
  around and this might be unreliable.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/764414/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1609700] Re: username is not saved in openconnect connection dialog

2017-02-15 Thread Mike Miller
Since it has been confirmed that this is fixed in the latest development
release (or by installing the network-manager package pulled from the
latest release), someone affected by this bug might want to look at
contributing a Stable Release Update for 16.04.

https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1609700

Title:
  username is not saved in openconnect connection dialog

Status in network-manager package in Ubuntu:
  Confirmed
Status in network-manager-openconnect package in Ubuntu:
  Confirmed
Status in Fedora:
  Unknown

Bug description:
  
  Hi,

  I clicked on "save passwords" but only the password is filled in
  automatically when I open the connection dialog. The "Username" field
  is empty!

  This happens for a SSLVPN configuration.

  For another VPN config (don't know which type) everything is ok.

  
  openconnect: 7.06-2build2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1609700/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1609700] Re: username is not saved in openconnect connection dialog

2017-02-15 Thread Mike Miller
** Tags added: trusty

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1609700

Title:
  username is not saved in openconnect connection dialog

Status in network-manager package in Ubuntu:
  Confirmed
Status in network-manager-openconnect package in Ubuntu:
  Confirmed
Status in Fedora:
  Unknown

Bug description:
  
  Hi,

  I clicked on "save passwords" but only the password is filled in
  automatically when I open the connection dialog. The "Username" field
  is empty!

  This happens for a SSLVPN configuration.

  For another VPN config (don't know which type) everything is ok.

  
  openconnect: 7.06-2build2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1609700/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 764414] Re: private master bugs are confusing and lead to more duplicate filings

2017-02-15 Thread JohnWashington
@kfogel: really?  Is that what tafthorne's suggestion was?  Well, in
that case, I agree, that's brilliant.

@tafthorne: why did I not realise how brilliant your suggestion was?
Simple.  Because its length made me mutter 'tl;dr' and skip on to the
next.  Please, if you're going to make further brilliant suggestions for
Ubuntu, MAKE THEM SHORT!!! ;)

This bug report is approaching its 6th anniversary.  Can we hope for
progress?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/764414

Title:
  private master bugs are confusing and lead to more duplicate filings

Status in apport package in Ubuntu:
  Triaged

Bug description:
  Binary package hint: apport

  Apport currently tracks the master bug as a private bug visible only
  to Ubuntu developers (bugcontrol) and makes duplicate bugs public
  after stripping their data.

  This works well but has some downsides:
   - Launchpad cannot show the master bug to folk reporting bugs via apport (so 
they file new bugs always)
   - After users file a new bug apport detects its a duplicate and then they 
cannot see the master bug and get frustrated.

  It would be nice to have:
   - the master bug be public so that reporters of dups can see it in the dupe 
finder and can see if a dupe is detected post-filing.
   - Developers still have easy access to the raw crash data.
    - One way to do that that does not need much development would be to have a 
private bug exist, linked from the master bug (e.g. with a comment or in the 
description; something like 'Confidential crashdump for this bug is attached to 
bug 12345 - only visible to Ubuntu developers').

  One way to achieve this is to have apport file a new public bug to be
  the master. This would have the necessary metadata and would include
  the link to the private bug + gather all the duplicates to itself. One
  downside is that Apport would appear to be the bug reporter for all
  crashdump based bug reports. That's not necessarily a bad thing, but
  it may confuse people.

  Another way would be to have apport file a new private bug, move the
  attachments over from the original bug, add explanation and metadata
  in the description, subscribe bugcontrol and then sanitise the
  original bug report the same way it sanitises public bugs today. This
  would make the original bug be the public master, preserving the date
  of filing and the reporter. OTOH large files would need to be shuffled
  around and this might be unreliable.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/764414/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665148] [NEW] Closed GtkExpander exposes underlying elements

2017-02-15 Thread moma
Public bug reported:

This a very minor issue (and maybe a feature, not a bug)

GTK3-based audio-recorder has a GtkExpander widget. It contains a
listbox and some other elements. The listbox can be shown and activated
event the GtkExpander is closed.

Screenshot:
http://bildr.no/view/dys1WkhP

The application:
https://launchpad.net/~audio-recorder

** Affects: gtk+3.0 (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1665148

Title:
  Closed GtkExpander exposes underlying elements

Status in gtk+3.0 package in Ubuntu:
  New

Bug description:
  This a very minor issue (and maybe a feature, not a bug)

  GTK3-based audio-recorder has a GtkExpander widget. It contains a
  listbox and some other elements. The listbox can be shown and
  activated event the GtkExpander is closed.

  Screenshot:
  http://bildr.no/view/dys1WkhP

  The application:
  https://launchpad.net/~audio-recorder

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1665148/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665148] Re: Closed GtkExpander exposes underlying elements

2017-02-15 Thread moma
Forgot to mention.
I just click below the closed GtkExpander and the click-event seems to dive 
down to the listbox. The listbox pops up.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1665148

Title:
  Closed GtkExpander exposes underlying elements

Status in gtk+3.0 package in Ubuntu:
  New

Bug description:
  This a very minor issue (and maybe a feature, not a bug)

  GTK3-based audio-recorder has a GtkExpander widget. It contains a
  listbox and some other elements. The listbox can be shown and
  activated event the GtkExpander is closed.

  Screenshot:
  http://bildr.no/view/dys1WkhP

  The application:
  https://launchpad.net/~audio-recorder

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1665148/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665147] [NEW] Closed GtkExpander exposes underlying elements

2017-02-15 Thread moma
Public bug reported:

This a very minor issue (and maybe a feature, not a bug)

GTK3-based audio-recorder has a GtkExpander widget. It contains a
listbox and some other elements. The listbox can be shown and activated
event the GtkExpander is closed.

Screenshot:
http://bildr.no/view/dys1WkhP

The application:
https://launchpad.net/~audio-recorder

** Affects: gtk+3.0 (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1665147

Title:
  Closed GtkExpander exposes underlying elements

Status in gtk+3.0 package in Ubuntu:
  New

Bug description:
  This a very minor issue (and maybe a feature, not a bug)

  GTK3-based audio-recorder has a GtkExpander widget. It contains a
  listbox and some other elements. The listbox can be shown and
  activated event the GtkExpander is closed.

  Screenshot:
  http://bildr.no/view/dys1WkhP

  The application:
  https://launchpad.net/~audio-recorder

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1665147/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 764414] Re: private master bugs are confusing and lead to more duplicate filings

2017-02-15 Thread Karl Fogel
+1 on @tafthorne's suggestion in comment#21 that there be a widget that
a maintainer can use to easily swap a private master bug with some
chosen public duplicate bug.  (Actually, nothing about this widget is
specifically about private vs public, but I'll talk about it in those
terms here, since this is the current driving use case.)

This widget could be accessible from both the private bug and any public
bug marked as a dup of the private bug.  Since private->public is a one-
to-many relationship here, in the private bug the widget would allow you
to select *which* public bug to make be the new master; all current
other dups pointing to the private bug could even then be changed to
point to the public bug as their new master as well.  From the public
bug, it could just be a button whose effect is: "Make me the master,
thus stealing masterdom from the private bug I'm currently marked as a
duplicate of."

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/764414

Title:
  private master bugs are confusing and lead to more duplicate filings

Status in apport package in Ubuntu:
  Triaged

Bug description:
  Binary package hint: apport

  Apport currently tracks the master bug as a private bug visible only
  to Ubuntu developers (bugcontrol) and makes duplicate bugs public
  after stripping their data.

  This works well but has some downsides:
   - Launchpad cannot show the master bug to folk reporting bugs via apport (so 
they file new bugs always)
   - After users file a new bug apport detects its a duplicate and then they 
cannot see the master bug and get frustrated.

  It would be nice to have:
   - the master bug be public so that reporters of dups can see it in the dupe 
finder and can see if a dupe is detected post-filing.
   - Developers still have easy access to the raw crash data.
    - One way to do that that does not need much development would be to have a 
private bug exist, linked from the master bug (e.g. with a comment or in the 
description; something like 'Confidential crashdump for this bug is attached to 
bug 12345 - only visible to Ubuntu developers').

  One way to achieve this is to have apport file a new public bug to be
  the master. This would have the necessary metadata and would include
  the link to the private bug + gather all the duplicates to itself. One
  downside is that Apport would appear to be the bug reporter for all
  crashdump based bug reports. That's not necessarily a bad thing, but
  it may confuse people.

  Another way would be to have apport file a new private bug, move the
  attachments over from the original bug, add explanation and metadata
  in the description, subscribe bugcontrol and then sanitise the
  original bug report the same way it sanitises public bugs today. This
  would make the original bug be the public master, preserving the date
  of filing and the reporter. OTOH large files would need to be shuffled
  around and this might be unreliable.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/764414/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1545714] Re: Add speech input, voice input, dictate function for keyboard

2017-02-15 Thread Peter Bittner
That sounds promising!

Why isn't offline processing suitable for use on a phone? If it's
working on a desktop, and we have convergence, we should be able to
assume it will work on any (better) smartphone in 2018, shouldn't we?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyboard in Ubuntu.
https://bugs.launchpad.net/bugs/1545714

Title:
  Add speech input, voice input, dictate function for keyboard

Status in ubuntu-keyboard:
  New
Status in ubuntu-keyboard package in Ubuntu:
  Confirmed

Bug description:
  Typing on a mobile device is tedious. In some situations it's
  advantageous to dictate some text, use speech input that is translated
  to text (for texting, for writing documents, tasks, emails, etc.).

  A dictate function should be available in a integrated fashion with
  the keyboard, everywhere on Ubuntu Touch where text input is needed.

  Details
  ===

  This could be implemented as an integral feature (as in iOS, I
  believe) or via a pluggable API (on Android, I believe).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-keyboard/+bug/1545714/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1607666] Re: sudo fails with host netgroup returned from freeipa

2017-02-15 Thread Seth Arnold
bug 1665062 has guitarpro6 in the logs as well as significant hardware
errors (perhaps just failing CD-ROM drive, perhaps hard drive, they were
slightly unusual). That's not a happy computer but it looks unrelated to
this SRU.

Thanks

** Tags removed: verification-failed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1607666

Title:
  sudo fails with host netgroup returned from freeipa

Status in sudo package in Ubuntu:
  Fix Released
Status in sudo source package in Xenial:
  Fix Released
Status in sudo source package in Yakkety:
  Fix Committed

Bug description:
  [Impact]
  Sudo currently fails to validate netgroups against host netgroups returned 
from the sss plugin, see https://fedorahosted.org/freeipa/ticket/6139 for the 
glory details.

  This was fixed in sudo 1.8.17
  (https://www.sudo.ws/repos/sudo/rev/2eab4070dcf7 to be exact), which
  I'd very much like to see backported to Ubuntu 16.04. If possible,
  updating sudo completely to 1.8.17 would be nice, since there have
  been quite a few improvements with regards to sss and freeipa and it
  would be a shame if we could not benefit from them given that 16.04 is
  LTS.

  [Test case]
  install the update, test that sudo works on a freeipa installation that uses 
netgroups

  [Regression potential]
   I looked at upstream commits to sssd.c, and there were no commits 
that touch this area, so chance of regressions should be slim

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1607666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665062] Re: package sudo 1.8.16-0ubuntu3.1 failed to install/upgrade: le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1

2017-02-15 Thread Seth Arnold
** Tags added: bot-stop-nagging

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1665062

Title:
  package sudo 1.8.16-0ubuntu3.1 failed to install/upgrade: le sous-
  processus script pre-removal installé a retourné une erreur de sortie
  d'état 1

Status in sudo package in Ubuntu:
  New

Bug description:
  don't know !
  A window popped up after login in my session (login after a restart requested 
after a partial upgrade).
  The window just said that a problem appeared and it was proposed to send 
information to the support, which I did.

  ProblemType: Package
  DistroRelease: Ubuntu 16.10
  Package: sudo 1.8.16-0ubuntu3.1
  ProcVersionSignature: Ubuntu 4.8.0-38.41-generic 4.8.17
  Uname: Linux 4.8.0-38-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
  ApportVersion: 2.20.3-0ubuntu8.2
  Architecture: amd64
  Date: Thu Feb  9 23:55:36 2017
  ErrorMessage: le sous-processus script pre-removal installé a retourné une 
erreur de sortie d'état 1
  InstallationDate: Installed on 2012-12-31 (1507 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu1
   apt  1.3.4
  SourcePackage: sudo
  Title: package sudo 1.8.16-0ubuntu3.1 failed to install/upgrade: le 
sous-processus script pre-removal installé a retourné une erreur de sortie 
d'état 1
  UpgradeStatus: No upgrade log present (probably fresh install)
  VisudoCheck:
   /etc/sudoers : analyse grammaticale réussie
   /etc/sudoers.d/README : analyse grammaticale réussie

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1665062/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1607666] [sudo/yakkety] possible regression found

2017-02-15 Thread Ubuntu Foundations Team Bug Bot
As a part of the Stable Release Updates quality process a search for
Launchpad bug reports using the version of sudo from yakkety-proposed
was performed and bug 1665062 was found.  Please investigate this bug
report to ensure that a regression will not be created by this SRU. In
the event that this is not a regression remove the "verification-failed"
tag from this bug report and add the tag "bot-stop-nagging" to bug
1665062 (not this bug). Thanks!

** Tags added: verification-failed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1607666

Title:
  sudo fails with host netgroup returned from freeipa

Status in sudo package in Ubuntu:
  Fix Released
Status in sudo source package in Xenial:
  Fix Released
Status in sudo source package in Yakkety:
  Fix Committed

Bug description:
  [Impact]
  Sudo currently fails to validate netgroups against host netgroups returned 
from the sss plugin, see https://fedorahosted.org/freeipa/ticket/6139 for the 
glory details.

  This was fixed in sudo 1.8.17
  (https://www.sudo.ws/repos/sudo/rev/2eab4070dcf7 to be exact), which
  I'd very much like to see backported to Ubuntu 16.04. If possible,
  updating sudo completely to 1.8.17 would be nice, since there have
  been quite a few improvements with regards to sss and freeipa and it
  would be a shame if we could not benefit from them given that 16.04 is
  LTS.

  [Test case]
  install the update, test that sudo works on a freeipa installation that uses 
netgroups

  [Regression potential]
   I looked at upstream commits to sssd.c, and there were no commits 
that touch this area, so chance of regressions should be slim

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1607666/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665123] [NEW] Mir graphics platform determined based on host system instead of snap

2017-02-15 Thread Michał Sawicz
Public bug reported:

People have reported the unity8 session snap to fail to start, with a
log excerpt (http://pastebin.ubuntu.com/24000769/):

ERROR: 
/build/mir-Hd65rv/mir-0.26.0+16.04.20170126.3/src/common/sharedlibrary/shared_library.cpp(33):
 Throw in function mir::SharedLibrary::SharedLibrary(const char*)
Dynamic exception type: 
boost::exception_detail::clone_impl
std::exception::what: 
/snap/unity8-session/439/usr/lib/x86_64-linux-gnu/mir/server-platform/graphics-mesa-kms.so.12:
 cannot open shared object file: No such file or directory

Mir 0.26 is trying to load the mesa graphics v12, which only came in Mir
0.26.1. It seems Mir is somehow expecting for the system-installed
graphics v12 to be there in the snap.

** Affects: mir
 Importance: Undecided
 Status: New

** Affects: unity8-session-snap
 Importance: High
 Status: Triaged

** Also affects: mir
   Importance: Undecided
   Status: New

** Package changed: unity8 (Ubuntu) => unity8-session-snap

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1665123

Title:
  Mir graphics platform determined based on host system instead of snap

Status in Mir:
  New
Status in Unity8 Session Snap:
  Triaged

Bug description:
  People have reported the unity8 session snap to fail to start, with a
  log excerpt (http://pastebin.ubuntu.com/24000769/):

  ERROR: 
/build/mir-Hd65rv/mir-0.26.0+16.04.20170126.3/src/common/sharedlibrary/shared_library.cpp(33):
 Throw in function mir::SharedLibrary::SharedLibrary(const char*)
  Dynamic exception type: 
boost::exception_detail::clone_impl
  std::exception::what: 
/snap/unity8-session/439/usr/lib/x86_64-linux-gnu/mir/server-platform/graphics-mesa-kms.so.12:
 cannot open shared object file: No such file or directory

  Mir 0.26 is trying to load the mesa graphics v12, which only came in
  Mir 0.26.1. It seems Mir is somehow expecting for the system-installed
  graphics v12 to be there in the snap.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1665123/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664994] Re: Black screen when trying to log in into unity8 session

2017-02-15 Thread Michał Sawicz
Looks like we simply need a rebuild of the snap because of the Mir
migration.

** Changed in: unity8 (Ubuntu)
   Status: New => In Progress

** Changed in: unity8 (Ubuntu)
   Importance: Undecided => Critical

** Changed in: unity8 (Ubuntu)
 Assignee: (unassigned) => Michael Terry (mterry)

** Package changed: unity8 (Ubuntu) => unity8-session-snap

** Changed in: unity8-session-snap
 Assignee: Michael Terry (mterry) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1664994

Title:
  Black screen when trying to log in into unity8 session

Status in Unity8 Session Snap:
  In Progress

Bug description:
  When I log in into unity8 I get a black screen.

  This is happening on xenial+overlay, using the unity8 snap. It seems
  to have started to happen after doing a dist-upgrade which installed
  packages from the overlay (15 Feb).

  Installed snaps:

  $ snap list
  NameVersion Rev   Developer  
Notes
  address-book-app0.2+17.04.20161219-0ubuntu1 21canonical  
devmode
  camera-app  3.0.0+17.04.20170106-0ubuntu1   11canonical  
devmode
  core16.04.1 1079  canonical  -
  gallery-app 0.0.67+17.04.20161213-0ubuntu1  13canonical  
devmode
  inkscape0.92.0  1880  inkscape   -
  mediaplayer-app 0.20.5+17.04.20161201-0ubuntu1  x1   
devmode
  ubuntu-app-platform 1   37canonical  
devmode
  ubuntu-calculator-app   2.3.1   26ubuntucoredev  
devmode
  ubuntu-calendar-app 0.1.1   22canonical  
devmode
  ubuntu-clock-app3.8.480 29ubuntucoredev  
devmode
  ubuntu-filemanager-app  0.4 10canonical  
devmode
  ubuntu-terminal-app 0.1142canonical  
devmode
  unity8-session  16.04   439   canonical  
devmode
  webbrowser-app  20170119~staging10canonical  
devmode

  See also attached unity-system-compositor.log and ~/user/.xsession-
  errors

To manage notifications about this bug go to:
https://bugs.launchpad.net/unity8-session-snap/+bug/1664994/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1655782] Re: Elfdalian layout + merge with Debian 2.19-1

2017-02-15 Thread Gunnar Hjalmarsson
@Sebastien: What happened was mistake number 2 by me. :( I assumed
incorrectly that everything outside the /debian folder is included in
the *orig.tar.gz file, which it apparently is not in this case.

So I uploaded it again with the complete source including what Debian's
*diff.gz file adds to folders outside /debian. (It doesn't seem to
change what actually goes to the xkb-data package.)

My apologies. Third time's the charm.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xkeyboard-config in
Ubuntu.
https://bugs.launchpad.net/bugs/1655782

Title:
  Elfdalian layout + merge with Debian 2.19-1

Status in xkeyboard-config:
  Unknown
Status in xkeyboard-config package in Ubuntu:
  In Progress

Bug description:
  Please add the Elfdalian keyboard layout which has been added upstream
  (see the Freedesktop bug report).

  I also propose that we take this opportunity to merge with Debian
  xkeyboard-config 2.19-1.

To manage notifications about this bug go to:
https://bugs.launchpad.net/xkeyboard-config/+bug/1655782/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 541595] Re: [Master] package failed to install/upgrade: package is already installed and configured

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: apt (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/541595

Title:
  [Master] package failed to install/upgrade: package is already
  installed and configured

Status in dpkg:
  New
Status in apt package in Ubuntu:
  Confirmed
Status in dpkg package in Ubuntu:
  Fix Released

Bug description:
  Binary package hint: dpkg

  For yet unknown reasons packages fail to install with an error like:

  dpkg: error processing flashplugin-installer (--configure):
   package flashplugin-installer is already installed and configured

  without further error.
  This is a "one time" failure. Another run of the installation doesn't produce 
any error.

  Users reporting this error are also experiencing bug 545790 and bug
  545738 .

  ProblemType: Bug
  Architecture: i386
  Date: Fri Mar 19 00:09:06 2010
  DistroRelease: Ubuntu 10.04
  EcryptfsInUse: Yes
  Package: dpkg 1.15.5.6ubuntu3
  ProcEnviron:
   PATH=(custom, user)
   LANG=en_US.utf8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
  SourcePackage: dpkg
  Uname: Linux 2.6.32-16-generic i686

To manage notifications about this bug go to:
https://bugs.launchpad.net/dpkg/+bug/541595/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664829] Re: package libnss3-nssdb 2:3.26.2-0ubuntu0.16.04.2 failed to install/upgrade: package libnss3-nssdb is already installed and configured

2017-02-15 Thread Seth Arnold
*** This bug is a duplicate of bug 541595 ***
https://bugs.launchpad.net/bugs/541595

** This bug has been marked a duplicate of bug 541595
   [Master] package failed to install/upgrade: package is already installed and 
configured

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1664829

Title:
  package libnss3-nssdb 2:3.26.2-0ubuntu0.16.04.2 failed to
  install/upgrade: package libnss3-nssdb is already installed and
  configured

Status in nss package in Ubuntu:
  New

Bug description:
  My Ubuntu release: Ubuntu Gnome 16.04 LTS

  This is what I get running apt-cache:

  libnss3-nssdb:
Installed: 2:3.26.2-0ubuntu0.16.04.2
Candidate: 2:3.26.2-0ubuntu0.16.04.2
Version table:
   *** 2:3.26.2-0ubuntu0.16.04.2 500
  500 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 
Packages
  500 http://it.archive.ubuntu.com/ubuntu xenial-updates/main i386 
Packages
  500 http://security.ubuntu.com/ubuntu xenial-security/main amd64 
Packages
  500 http://security.ubuntu.com/ubuntu xenial-security/main i386 
Packages
  100 /var/lib/dpkg/status
   2:3.21-1ubuntu4 500
  500 http://it.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
  500 http://it.archive.ubuntu.com/ubuntu xenial/main i386 Packages

  This happens every time I install a .deb file

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: libnss3-nssdb 2:3.26.2-0ubuntu0.16.04.2
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  AptdaemonVersion: 1.1.1+bzr982-0ubuntu14
  Architecture: amd64
  Date: Tue Feb 14 13:52:37 2017
  DuplicateSignature:
   package:libnss3-nssdb:2:3.26.2-0ubuntu0.16.04.2
   Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
   dpkg: error processing package libnss3-nssdb (--configure):
package libnss3-nssdb is already installed and configured
  ErrorMessage: package libnss3-nssdb is already installed and configured
  InstallationDate: Installed on 2017-02-06 (8 days ago)
  InstallationMedia: Ubuntu-GNOME 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160720)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.19
  SourcePackage: nss
  Title: package libnss3-nssdb 2:3.26.2-0ubuntu0.16.04.2 failed to 
install/upgrade: package libnss3-nssdb is already installed and configured
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1664829/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1663345] Re: 10-15 seconds delay until host is resolved

2017-02-15 Thread Null_Sieben
/etc/default$ ll
insgesamt 132
drwxr-xr-x   2 root root  4096 Feb 15 20:49 ./
drwxr-xr-x 144 root root 12288 Feb 13 21:38 ../
-rw-r--r--   1 root root   346 Feb  9  2016 acpid
-rw-r--r--   1 root root  4922 Mai  1  2013 acpi-support
-rw-r--r--   1 root root   638 Okt 12 22:47 alsa
-rw-r--r--   1 root root   290 Dez 28  2014 anacron
-rw-r--r--   1 root root   149 Jul 28  2016 apport
-rw-r--r--   1 root root   219 Jun 27  2016 avahi-daemon
-rw-r--r--   1 root root   222 Mai 22  2012 bsdmainutils
-rw-r--r--   1 root root   285 Okt 12 22:42 console-setup
-rw-r--r--   1 root root   549 Aug 23  2014 crda
-rw-r--r--   1 root root   183 Apr  5  2016 cron
-rw-r--r--   1 root root   652 Apr 29  2016 cryptdisks
-rw-r--r--   1 root root   297 Aug 15  2016 dbus
-rw-r--r--   1 root root  1237 Jan 22 01:07 grub
-rw-r--r--   1 root root  1205 Okt  4 13:28 im-config
-rw-r--r--   1 root root  1029 Jul 22  2016 intel-microcode
-rw-r--r--   1 root root   126 Okt 12 22:48 irqbalance
-rw-r--r--   1 root root84 Mär 28  2014 kerneloops
-rw-rw-r--   1 root root   150 Jan 22 00:58 keyboard
-rw-r--r--   1 root root54 Jan 22 01:04 locale
-rw-r--r--   1 root root   306 Jun  2  2015 networking
-rw-r--r--   1 root root  1756 Okt  5 22:25 nss
-rw-r--r--   1 root root  1184 Jun 30  2015 openvpn
-rw-r--r--   1 root root  1768 Sep 30  2013 rsync
-rw-r--r--   1 root root   124 Jan 27  2016 rsyslog
-rw-r--r--   1 root root   209 Okt 12 22:50 saned
-rw-r--r--   1 root root   132 Aug 12  2016 speech-dispatcher
-rw-r--r--   1 root root  1754 Mai 12  2016 ufw
-rw-r--r--   1 root root  1118 Sep 20 09:43 useradd

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to resolvconf in Ubuntu.
https://bugs.launchpad.net/bugs/1663345

Title:
  10-15 seconds delay until host is resolved

Status in resolvconf package in Ubuntu:
  Incomplete

Bug description:
  I have the problem that every new DNS query takes about 10 - 15
  seconds.

  This is the first time I used "ubuntu-bug resolvconf". Hopefully all
  information of my system are attached to this report.

  Thanks for help or hints:)

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: resolvconf 1.79ubuntu1
  ProcVersionSignature: Ubuntu 4.8.0-37.39-generic 4.8.16
  Uname: Linux 4.8.0-37-generic x86_64
  ApportVersion: 2.20.3-0ubuntu8.2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Feb  9 19:36:34 2017
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2017-01-22 (18 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
  PackageArchitecture: all
  SourcePackage: resolvconf
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.resolvconf.resolv.conf.d.head:
   # Dynamic resolv.conf(5) file for glibc resolver(3) generated by 
resolvconf(8)
   # DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN
   nameserver 127.0.0.1
  mtime.conffile..etc.resolvconf.resolv.conf.d.head: 2017-02-09T18:49:48.934789

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/resolvconf/+bug/1663345/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665099] [NEW] package libnss-resolve:amd64 231-9ubuntu2 failed to install/upgrade: O pacote está num mau estado de inconsistência; deve reinstala-lo antes de tentar configura-l

2017-02-15 Thread mastermode
Public bug reported:

please check

ProblemType: Package
DistroRelease: Ubuntu 16.10
Package: libnss-resolve:amd64 231-9ubuntu2
ProcVersionSignature: Ubuntu 4.8.0-34.36-lowlatency 4.8.11
Uname: Linux 4.8.0-34-lowlatency x86_64
ApportVersion: 2.20.3-0ubuntu8.2
AptOrdering:
 libgc1c2:amd64: Install
 NULL: ConfigurePending
Architecture: amd64
Date: Wed Feb 15 16:36:17 2017
ErrorMessage: O pacote está num mau estado de inconsistência; deve  
reinstala-lo antes de tentar configura-lo.
RelatedPackageVersions:
 dpkg 1.18.10ubuntu1
 apt  1.3.4
SourcePackage: systemd
Title: package libnss-resolve:amd64 231-9ubuntu2 failed to install/upgrade: O 
pacote está num mau estado de inconsistência; deve  reinstala-lo antes de 
tentar configura-lo.
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package yakkety

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1665099

Title:
  package libnss-resolve:amd64 231-9ubuntu2 failed to install/upgrade: O
  pacote está num mau estado de inconsistência; deve  reinstala-lo antes
  de tentar configura-lo.

Status in systemd package in Ubuntu:
  New

Bug description:
  please check

  ProblemType: Package
  DistroRelease: Ubuntu 16.10
  Package: libnss-resolve:amd64 231-9ubuntu2
  ProcVersionSignature: Ubuntu 4.8.0-34.36-lowlatency 4.8.11
  Uname: Linux 4.8.0-34-lowlatency x86_64
  ApportVersion: 2.20.3-0ubuntu8.2
  AptOrdering:
   libgc1c2:amd64: Install
   NULL: ConfigurePending
  Architecture: amd64
  Date: Wed Feb 15 16:36:17 2017
  ErrorMessage: O pacote está num mau estado de inconsistência; deve  
reinstala-lo antes de tentar configura-lo.
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu1
   apt  1.3.4
  SourcePackage: systemd
  Title: package libnss-resolve:amd64 231-9ubuntu2 failed to install/upgrade: O 
pacote está num mau estado de inconsistência; deve  reinstala-lo antes de 
tentar configura-lo.
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1665099/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1652325] Re: Libxml2 2.9.3 fails to parse multi-byte character in large CDATA section that is split across buffer

2017-02-15 Thread Joern Heissler
I'm currently moving servers to 16.04. I'm affected by this bug.
Would you please fix it in 16.04? Cheers!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libxml2 in Ubuntu.
https://bugs.launchpad.net/bugs/1652325

Title:
  Libxml2 2.9.3 fails to parse multi-byte character in large CDATA
  section that is split across buffer

Status in libxml2 package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu 16.04 packages libxml2 version 2.9.3*, which contains a
  regression documented here:
  
https://git.gnome.org/browse/libxml2/commit/?id=4f8606c13cb7f2684839f850b83de5ce647d3ca7

  Full release notes of 2.9.4 can be seen here:
  http://xmlsoft.org/news.html

  The bug will affect XML push parser that fails with bogus UTF-8
  encoding error when multi-byte character in large CDATA section is
  split across buffer, which can be quite common.

  As Xenial is an LTS version and this bug is quite *critical*, I wonder
  if we should provide an update to fix this one. If I remember
  correctly, we're not supposed to update to a newer version a given
  package for a given version of Ubuntu, but as this version of Ubuntu
  will be used in many servers in the coming years and XML parsing is
  quite a common task, it may help a lot of developers to have a
  backported fix of this issue.

  Let me know you if you need more information.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libxml2/+bug/1652325/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1652325] Re: Libxml2 2.9.3 fails to parse multi-byte character in large CDATA section that is split across buffer

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: libxml2 (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libxml2 in Ubuntu.
https://bugs.launchpad.net/bugs/1652325

Title:
  Libxml2 2.9.3 fails to parse multi-byte character in large CDATA
  section that is split across buffer

Status in libxml2 package in Ubuntu:
  Confirmed

Bug description:
  Ubuntu 16.04 packages libxml2 version 2.9.3*, which contains a
  regression documented here:
  
https://git.gnome.org/browse/libxml2/commit/?id=4f8606c13cb7f2684839f850b83de5ce647d3ca7

  Full release notes of 2.9.4 can be seen here:
  http://xmlsoft.org/news.html

  The bug will affect XML push parser that fails with bogus UTF-8
  encoding error when multi-byte character in large CDATA section is
  split across buffer, which can be quite common.

  As Xenial is an LTS version and this bug is quite *critical*, I wonder
  if we should provide an update to fix this one. If I remember
  correctly, we're not supposed to update to a newer version a given
  package for a given version of Ubuntu, but as this version of Ubuntu
  will be used in many servers in the coming years and XML parsing is
  quite a common task, it may help a lot of developers to have a
  backported fix of this issue.

  Let me know you if you need more information.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libxml2/+bug/1652325/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 764414] Re: private master bugs are confusing and lead to more duplicate filings

2017-02-15 Thread Alistair Buxton
This bug happened to me today. I found an easily reproducible bug in a
package, so because I am a helpful person, I did a fresh install just to
repro it in +1, and submitted a core dump through apport. Because I knew
for a fact that there was no private information in the clean install I
set my bug to public. Apport then marked it as a duplicate of a private
bug which I cannot access.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/764414

Title:
  private master bugs are confusing and lead to more duplicate filings

Status in apport package in Ubuntu:
  Triaged

Bug description:
  Binary package hint: apport

  Apport currently tracks the master bug as a private bug visible only
  to Ubuntu developers (bugcontrol) and makes duplicate bugs public
  after stripping their data.

  This works well but has some downsides:
   - Launchpad cannot show the master bug to folk reporting bugs via apport (so 
they file new bugs always)
   - After users file a new bug apport detects its a duplicate and then they 
cannot see the master bug and get frustrated.

  It would be nice to have:
   - the master bug be public so that reporters of dups can see it in the dupe 
finder and can see if a dupe is detected post-filing.
   - Developers still have easy access to the raw crash data.
    - One way to do that that does not need much development would be to have a 
private bug exist, linked from the master bug (e.g. with a comment or in the 
description; something like 'Confidential crashdump for this bug is attached to 
bug 12345 - only visible to Ubuntu developers').

  One way to achieve this is to have apport file a new public bug to be
  the master. This would have the necessary metadata and would include
  the link to the private bug + gather all the duplicates to itself. One
  downside is that Apport would appear to be the bug reporter for all
  crashdump based bug reports. That's not necessarily a bad thing, but
  it may confuse people.

  Another way would be to have apport file a new private bug, move the
  attachments over from the original bug, add explanation and metadata
  in the description, subscribe bugcontrol and then sanitise the
  original bug report the same way it sanitises public bugs today. This
  would make the original bug be the public master, preserving the date
  of filing and the reporter. OTOH large files would need to be shuffled
  around and this might be unreliable.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/764414/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1649931] Re: systemd-networkd needs to ensure DNS is up before network-online.target

2017-02-15 Thread Ryan Harper
** Description changed:

  Currently resolvconf and systemd-networkd don't ensure DNS has been
  configured before allowing network-online.target to be reached.
  
  This was discussed in https://launchpad.net/bugs/1636912 however it was
  not a regression since there aren't any users of networkd + DNS early in
  boot at this time, it was requested that we move this DNS issue to a
  separate bug.
  
  [SRU]
  Fix: switch resolvconf.service to run Before=network-pre.target and add 
Wants=network-pre.target.  Add a Before=network-online.target to 
systemd-networkd-resolvconf-update.service to ensure we update /etc/resolv.conf 
with DNS config prior to reaching network-online.target.
  
  Regression potential: Low. networkd is not widely being used outside of
  netplan/snappy in xenial.
  
  Test Case:
    lxc launch ubuntu-daily:xenial x1
    lxc exec x1 /bin/bash
  
-   # make sure you're on systemd-229-4ubuntu13
+   # make sure you're on systemd-229-4ubuntu17
    apt update && apt install -y systemd
  
    # enable networkd and netplan
    apt install -y nplan
  cat < /etc/netplan/nplan.yaml
  network:
    version: 2
    ethernets:
  eth0:
    dhcp4: true
  EOF
    sed -i.orig -e 's/^source/# source/' /etc/network/interfaces
  
    netplan generate
  
    # make sure cloud-init.service uses networkd
    sed -i.orig -e '/After=networking.service/a 
After=systemd-networkd-wait-online.service' 
/lib/systemd/system/cloud-init.service
  
    reboot
  
    # check that the order of execution with:
    journalctl -o short-precise --unit resolvconf.service --unit 
network-online.target --unit systemd-networkd-wait-online.service --unit 
systemd-networkd-resolvconf-update.service
  
    # the order should be:
  1. resolvconf:  systemd[1]: Started Nameserver information manager.
  2. systemd-networkd-wait-online.service:  systemd[1]: Starting Wait for 
Network to be Configured...
  3. systemd-networkd-resolvconf-update.service: systemd[1]: Started Update 
resolvconf for networkd DNS.
  4. network-online.target: systemd[1]: Reached target Network is Online.
  
  === BAD OUTPUT ===
  On a failing system, Reached target Network is Online occurs before (1, 2, or 
3) above, like this output:
  
  Dec 15 19:18:15.233443 x4 systemd[1]: Started Nameserver information manager.
  Dec 15 19:18:15.797857 x4 systemd[1]: Starting Wait for Network to be 
Configured...
  Dec 15 19:18:15.799573 x4 systemd-networkd-wait-online[145]: ignoring: lo
  Dec 15 19:18:15.804949 x4 systemd-networkd-wait-online[145]: ignoring: lo
  Dec 15 19:18:15.805079 x4 systemd-networkd-wait-online[145]: ignoring: lo
  Dec 15 19:18:29.100305 x4 systemd[1]: Starting Update resolvconf for networkd 
DNS...
  Dec 15 19:18:29.101870 x4 systemd[1]: Started Wait for Network to be 
Configured.
  Dec 15 19:18:29.102144 x4 systemd[1]: Reached target Network is Online.
  Dec 15 19:18:29.212842 x4 systemd[1]: Started Update resolvconf for networkd 
DNS.
  
  === GOOD OUTPUT ===
  On a passing system, Reached target Network is Online occurs after 1, 2, and 
3.
  
  Dec 15 19:28:42.548545 x4 systemd[1]: Started Nameserver information manager.
  Dec 15 19:28:43.144389 x4 systemd[1]: Starting Wait for Network to be 
Configured...
  Dec 15 19:28:43.146155 x4 systemd-networkd-wait-online[145]: ignoring: lo
  Dec 15 19:28:56.081487 x4 systemd[1]: Started Wait for Network to be 
Configured.
  Dec 15 19:28:56.100353 x4 systemd[1]: Starting Update resolvconf for networkd 
DNS...
  Dec 15 19:28:56.124005 x4 systemd[1]: Started Update resolvconf for networkd 
DNS.
  Dec 15 19:28:56.124555 x4 systemd[1]: Reached target Network is Online.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to resolvconf in Ubuntu.
https://bugs.launchpad.net/bugs/1649931

Title:
  systemd-networkd needs to ensure DNS is up before network-
  online.target

Status in resolvconf package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in resolvconf source package in Xenial:
  Fix Committed
Status in systemd source package in Xenial:
  Fix Committed
Status in resolvconf source package in Yakkety:
  Fix Committed
Status in resolvconf package in Debian:
  Fix Committed

Bug description:
  Currently resolvconf and systemd-networkd don't ensure DNS has been
  configured before allowing network-online.target to be reached.

  This was discussed in https://launchpad.net/bugs/1636912 however it
  was not a regression since there aren't any users of networkd + DNS
  early in boot at this time, it was requested that we move this DNS
  issue to a separate bug.

  [SRU]
  Fix: switch resolvconf.service to run Before=network-pre.target and add 
Wants=network-pre.target.  Add a Before=network-online.target to 
systemd-networkd-resolvconf-update.service to ensure we update /etc/resolv.conf 
with DNS config prior to reaching network-online.target.

  Regression potential: Low. networkd is not 

[Touch-packages] [Bug 1665062] [NEW] package sudo 1.8.16-0ubuntu3.1 failed to install/upgrade: le sous-processus script pre-removal installé a retourné une erreur de sortie d'état 1

2017-02-15 Thread Sébastien Dubail
Public bug reported:

don't know !
A window popped up after login in my session (login after a restart requested 
after a partial upgrade).
The window just said that a problem appeared and it was proposed to send 
information to the support, which I did.

ProblemType: Package
DistroRelease: Ubuntu 16.10
Package: sudo 1.8.16-0ubuntu3.1
ProcVersionSignature: Ubuntu 4.8.0-38.41-generic 4.8.17
Uname: Linux 4.8.0-38-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.3-0ubuntu8.2
Architecture: amd64
Date: Thu Feb  9 23:55:36 2017
ErrorMessage: le sous-processus script pre-removal installé a retourné une 
erreur de sortie d'état 1
InstallationDate: Installed on 2012-12-31 (1507 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
RelatedPackageVersions:
 dpkg 1.18.10ubuntu1
 apt  1.3.4
SourcePackage: sudo
Title: package sudo 1.8.16-0ubuntu3.1 failed to install/upgrade: le 
sous-processus script pre-removal installé a retourné une erreur de sortie 
d'état 1
UpgradeStatus: No upgrade log present (probably fresh install)
VisudoCheck:
 /etc/sudoers : analyse grammaticale réussie
 /etc/sudoers.d/README : analyse grammaticale réussie

** Affects: sudo (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package package-from-proposed yakkety

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1665062

Title:
  package sudo 1.8.16-0ubuntu3.1 failed to install/upgrade: le sous-
  processus script pre-removal installé a retourné une erreur de sortie
  d'état 1

Status in sudo package in Ubuntu:
  New

Bug description:
  don't know !
  A window popped up after login in my session (login after a restart requested 
after a partial upgrade).
  The window just said that a problem appeared and it was proposed to send 
information to the support, which I did.

  ProblemType: Package
  DistroRelease: Ubuntu 16.10
  Package: sudo 1.8.16-0ubuntu3.1
  ProcVersionSignature: Ubuntu 4.8.0-38.41-generic 4.8.17
  Uname: Linux 4.8.0-38-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
  ApportVersion: 2.20.3-0ubuntu8.2
  Architecture: amd64
  Date: Thu Feb  9 23:55:36 2017
  ErrorMessage: le sous-processus script pre-removal installé a retourné une 
erreur de sortie d'état 1
  InstallationDate: Installed on 2012-12-31 (1507 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu1
   apt  1.3.4
  SourcePackage: sudo
  Title: package sudo 1.8.16-0ubuntu3.1 failed to install/upgrade: le 
sous-processus script pre-removal installé a retourné une erreur de sortie 
d'état 1
  UpgradeStatus: No upgrade log present (probably fresh install)
  VisudoCheck:
   /etc/sudoers : analyse grammaticale réussie
   /etc/sudoers.d/README : analyse grammaticale réussie

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1665062/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1484801] Re: Feature request: gesture keyboard

2017-02-15 Thread Michael Sheldon
I'm hoping we'll be able to return to working on this once the shift
over to snaps is completed; the majority of the difficult work is
already complete for this, it's mostly a matter of making sure that the
new system has support for all the languages we currently already
support.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyboard in Ubuntu.
https://bugs.launchpad.net/bugs/1484801

Title:
  Feature request: gesture keyboard

Status in ubuntu-keyboard package in Ubuntu:
  Confirmed

Bug description:
  Feature request: keyboard option to allow typing through swiping
  gestures for words rather than typing letters one by one. Currently
  available on android keyboard: settings: language and input: Google
  keyboard: gesture typing.

  Thanks again for everyone's work on Ubuntu touch.

  
  Everytime I use my Meizu Ubuntu phone, the first thing I miss is being able 
to swipe on the keyboard to type.

  I've looked around and found:

  https://bugs.launchpad.net/onboard/+bug/1094395

  http://ubuntuforums.org/showthread.php?t=2080510

  http://forum.swype.com/showthread.php?11368-SWYPE-for-Ubuntu-Touch-!

  Have I missed something?

  Thanks for everyone who is working on the Ubuntu phone!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-keyboard/+bug/1484801/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1545714] Re: Add speech input, voice input, dictate function for keyboard

2017-02-15 Thread Michael Sheldon
That video's just from a bit of experimentation in my free time; once
we've got the input method interface for snapd finished up I'm planning
on making it available for people to experiment with on the desktop, but
it's not really suitable for use on a phone. Any phone based solution is
likely to require some sort of cloud service providing the actual text-
to-speech processing.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyboard in Ubuntu.
https://bugs.launchpad.net/bugs/1545714

Title:
  Add speech input, voice input, dictate function for keyboard

Status in ubuntu-keyboard:
  New
Status in ubuntu-keyboard package in Ubuntu:
  Confirmed

Bug description:
  Typing on a mobile device is tedious. In some situations it's
  advantageous to dictate some text, use speech input that is translated
  to text (for texting, for writing documents, tasks, emails, etc.).

  A dictate function should be available in a integrated fashion with
  the keyboard, everywhere on Ubuntu Touch where text input is needed.

  Details
  ===

  This could be implemented as an integral feature (as in iOS, I
  believe) or via a pluggable API (on Android, I believe).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-keyboard/+bug/1545714/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584682] Re: after changing static ip: old ip still exists.

2017-02-15 Thread Alberto Salvia Novella
** Changed in: ifupdown (Ubuntu)
   Importance: Undecided => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ifupdown in Ubuntu.
https://bugs.launchpad.net/bugs/1584682

Title:
  after changing static ip: old ip still exists.

Status in ifupdown package in Ubuntu:
  Confirmed

Bug description:
  i set a static ip address in /etc/network/interfaces:

  auto eno1
  iface eno1 inet static
  address 172.17.2.110
  netmask 255.255.0.0
  gateway xxx.xxx.xxx.xxx
  dns-nameserver xxx.xxx.xxx.xxx

  ip a shows:
  2: eno1:  mtu 1500 qdisc mq state UP group 
default qlen 1000
  link/ether xx:xx:xx:xx:xx:xx brd ff:ff:ff:ff:ff:ff
  inet 172.17.2.110/16 brd 172.17.255.255 scope global eno1
 valid_lft forever preferred_lft forever

  
  after changing address from 172.17.2.110 to 172.17.2.111 in 
/etc/network/interfaces and executed systemctl restart networking.service the 
system has the old and the new ip address:

  ip a:
  2: eno1:  mtu 1500 qdisc mq state UP group 
default qlen 1000
  link/ether xx:xx:xx:xx:xx:xx brd ff:ff:ff:ff:ff:ff
  inet 172.17.2.110/16 brd 172.17.255.255 scope global eno1
 valid_lft forever preferred_lft forever
  inet 172.17.2.111/16 brd 172.17.255.255 scope global secondary eno1
 valid_lft forever preferred_lft forever


  ip addr flush eno1 && systemctl restart networking.service is a
  workaround.

  
  Ubuntu 16.04 Server
  fresh install
  packages up to date

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ifupdown/+bug/1584682/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1663918] Re: Network Manager fails to reconnect to wifi after resuming from suspend

2017-02-15 Thread Alberto Salvia Novella
** Changed in: network-manager (Ubuntu)
   Importance: Undecided => Medium

** Changed in: network-manager (Ubuntu)
   Importance: Medium => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1663918

Title:
  Network Manager fails to reconnect to wifi after resuming from suspend

Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  After resuming from suspend on my laptop, I have wifi enabled, but
  Network Manager does not automatically reconnect, and it's list of
  available wifi networks is blank.

  If I run `sudo service network-manager restart`, then this fixes
  everything and it automatically detects and connects to my wifi
  hotspot, but this shouldn't be necessary.

  This problem seems specific to 16.04. Under 14.04, NM worked
  perfectly. After I upgraded my 14.04 install to 16.04 it started
  happening, however, I assumed this was likely due to some broken
  config file leftover from the upgrade. However, I recently did a fresh
  install to the same laptop on a blank hard drive, and the problem
  still exists.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.2.2-0ubuntu0.16.04.3
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Sat Feb 11 13:25:56 2017
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2017-01-21 (20 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  IpRoute:
   default via 192.168.1.1 dev wlp3s0  proto static  metric 600 
   169.254.0.0/16 dev virbr0  scope link  metric 1000 linkdown 
   192.168.1.0/24 dev wlp3s0  proto kernel  scope link  src 192.168.1.122  
metric 600 
   192.168.121.0/24 dev virbr1  proto kernel  scope link  src 192.168.121.1 
linkdown 
   192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1 
linkdown
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-nm:
   RUNNING  VERSION  STATE  STARTUP  CONNECTIVITY  NETWORKING  WIFI-HW  
WIFI WWAN-HW  WWAN
   running  1.2.2connected  started  full  enabled enabled  
enabled  enabled  enabled

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1663918/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664131] Re: package console-setup 1.108ubuntu15.3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128

2017-02-15 Thread Alberto Salvia Novella
** Changed in: console-setup (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to console-setup in Ubuntu.
https://bugs.launchpad.net/bugs/1664131

Title:
  package console-setup 1.108ubuntu15.3 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 128

Status in console-setup package in Ubuntu:
  Confirmed

Bug description:
  After installing a new Ubuntu 16.04 I reinstalled the old programs
  again. When I installed texlive-full the error apear I guess. There
  where many programs I've installed almoust in the same time, so I'm
  not sure what the error came up from.

  Best regards

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: console-setup 1.108ubuntu15.3
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  Date: Mon Feb 13 00:27:05 2017
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 128
  InstallationDate: Installed on 2017-02-12 (0 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.19
  SourcePackage: console-setup
  Title: package console-setup 1.108ubuntu15.3 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/console-setup/+bug/1664131/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1663847] Re: package keyboard-configuration 1.108ubuntu15.3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

2017-02-15 Thread Alberto Salvia Novella
** Changed in: console-setup (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to console-setup in Ubuntu.
https://bugs.launchpad.net/bugs/1663847

Title:
  package keyboard-configuration 1.108ubuntu15.3 failed to
  install/upgrade: subprocess installed post-installation script
  returned error exit status 2

Status in console-setup package in Ubuntu:
  Confirmed

Bug description:
  IDK

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: keyboard-configuration 1.108ubuntu15.3
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  Date: Sat Feb 11 01:54:11 2017
  DuplicateSignature:
   package:keyboard-configuration:1.108ubuntu15.3
   Setting up keyboard-configuration (1.108ubuntu15.3) ...
   /var/lib/dpkg/info/keyboard-configuration.config: 11: /etc/default/keyboard: 
Syntax error: Unterminated quoted string
   dpkg: error processing package keyboard-configuration (--configure):
subprocess installed post-installation script returned error exit status 2
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 2
  InstallationDate: Installed on 2017-01-24 (18 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.19
  SourcePackage: console-setup
  Title: package keyboard-configuration 1.108ubuntu15.3 failed to 
install/upgrade: subprocess installed post-installation script returned error 
exit status 2
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.init.d.keyboard-setup: [deleted]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/console-setup/+bug/1663847/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664979] Re: EQ overflowing. Additional events will be discarded until existing events are processed.

2017-02-15 Thread Nick
After another reboot, EQ overflowing occurs again, it seems random to me
now.

** Summary changed:

- Xorg freeze EQ overflow...
+ EQ overflowing. Additional events will be discarded until existing events are 
processed.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1664979

Title:
  EQ overflowing. Additional events will be discarded until existing
  events are processed.

Status in xorg package in Ubuntu:
  New

Bug description:
  I was on 14.04 and had no problem, but I started to have EQ overflow after 
upgrading to 14.04.3.
  Then I did fresh install of 16.04 on the same PC, but still EQ overflow 
occurs after closing SMPlayer.

  [640410.566] (WW) NVIDIA(0): WAIT (2, 8, 0x8000, 0x3d14, 0x4078)
  [640417.566] (WW) NVIDIA(0): WAIT (1, 8, 0x8000, 0x3d14, 0x4078)
  [640421.680] (WW) NVIDIA(0): WAIT (2, 8, 0x8000, 0x3d14, 0xf5d4)
  [640428.680] (WW) NVIDIA(0): WAIT (1, 8, 0x8000, 0x3d14, 0xf5d4)
  [640439.704] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc1, 0x3d14, 0xf680)
  [640446.704] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc1, 0x3d14, 0xf680)
  [640449.705] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cf7, 0x3d14, 0xf680)
  [640456.705] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cf7, 0x3d14, 0xf680)
  [640459.706] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc2, 0x3d14, 0xf724)
  [640466.706] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc2, 0x3d14, 0xf724)
  [640469.707] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cf8, 0x3d14, 0xf724)
  [640476.707] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cf8, 0x3d14, 0xf724)
  [640479.708] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc3, 0x3d14, 0xf7c8)
  [640486.708] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc3, 0x3d14, 0xf7c8)
  [640489.709] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cf9, 0x3d14, 0xf7c8)
  [640496.709] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cf9, 0x3d14, 0xf7c8)
  [640499.710] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc4, 0x3d14, 0xf86c)
  [640506.710] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc4, 0x3d14, 0xf86c)
  [640509.711] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cfa, 0x3d14, 0xf86c)
  [640516.711] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cfa, 0x3d14, 0xf86c)
  [640519.712] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc5, 0x3d14, 0xf910)
  [640526.712] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc5, 0x3d14, 0xf910)
  [640529.713] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cfb, 0x3d14, 0xf910)
  [640536.713] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cfb, 0x3d14, 0xf910)
  [640539.714] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc6, 0x3d14, 0xf9b4)
  [640546.714] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc6, 0x3d14, 0xf9b4)
  [640549.715] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cfc, 0x3d14, 0xf9b4)
  (EE) [mi] EQ overflowing.  Additional events will be discarded until existing 
events are processed.
  (EE) 
  (EE) Backtrace:
  (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55b19d068ade]
  (EE) 1: /usr/lib/xorg/Xorg (mieqEnqueue+0x253) [0x55b19d04a583]
  (EE) 2: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55b19cf22862]
  (EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x61f3) 
[0x7fdc68ed61f3]
  (EE) 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x6a5d) 
[0x7fdc68ed6a5d]
  (EE) 5: /usr/lib/xorg/Xorg (0x55b19ceb6000+0x94538) [0x55b19cf4a538]
  (EE) 6: /usr/lib/xorg/Xorg (0x55b19ceb6000+0xb9922) [0x55b19cf6f922]
  (EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (0x7fdc6faec000+0x354b0) 
[0x7fdc6fb214b0]
  (EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (__sched_yield+0x7) [0x7fdc6fbd5c47]
  (EE) 9: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0xa7c61) [0x7fdc6ac04c61]
  (EE) 10: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0xbb7bc) [0x7fdc6ac187bc]
  (EE) 11: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0x5b1ec2) [0x7fdc6b10eec2]
  (EE) 
  (EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up 
the stack.
  (EE) [mi] mieq is *NOT* the cause.  It is a victim.
  (EE) [mi] EQ overflow continuing.  100 events have been dropped.
  (EE) 
  (EE) Backtrace:
  (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55b19d068ade]
  (EE) 1: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55b19cf22862]
  (EE) 2: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x61f3) 
[0x7fdc68ed61f3]
  (EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x6a5d) 
[0x7fdc68ed6a5d]
  (EE) 4: /usr/lib/xorg/Xorg (0x55b19ceb6000+0x94538) [0x55b19cf4a538]
  (EE) 5: /usr/lib/xorg/Xorg (0x55b19ceb6000+0xb9922) [0x55b19cf6f922]
  (EE) 6: /lib/x86_64-linux-gnu/libc.so.6 (0x7fdc6faec000+0x354b0) 
[0x7fdc6fb214b0]
  (EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (__sched_yield+0x7) [0x7fdc6fbd5c47]
  (EE) 8: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 

[Touch-packages] [Bug 1652314] Re: package fontconfig 2.11.94-0ubuntu1.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2017-02-15 Thread Alberto Salvia Novella
** Changed in: fontconfig (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to fontconfig in Ubuntu.
https://bugs.launchpad.net/bugs/1652314

Title:
  package fontconfig 2.11.94-0ubuntu1.1 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

Status in fontconfig package in Ubuntu:
  Confirmed

Bug description:
  ARM banana pi platform

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: fontconfig 2.11.94-0ubuntu1.1
  Uname: Linux 3.4.39-BPI-M3-Kernel armv7l
  ApportVersion: 2.20.1-0ubuntu2.4
  Architecture: armhf
  Date: Thu Dec 22 09:58:28 2016
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 1
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.15ubuntu0.2
  SourcePackage: fontconfig
  Title: package fontconfig 2.11.94-0ubuntu1.1 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/fontconfig/+bug/1652314/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1652505] Re: Cannot connect to pulseaudio

2017-02-15 Thread Alberto Salvia Novella
** Changed in: pulseaudio (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1652505

Title:
  Cannot connect to pulseaudio

Status in pulseaudio package in Ubuntu:
  Confirmed

Bug description:
  What I expect to happen: audio working like in Ubuntu 14.04

  What is happening: programs cannot connect to pulseaudio server, the
  server itself isn't crashing. For example, pavuctl hangs on
  "connecting to pulseaudio", and all media applications are doing the
  same. It sometimes happens that one application (which opened
  connection to PA earlier) is still playing but new ones can't connect.

  pulseaudio -k && pulseaudio

  fixes this issue temporarly, until the next time it happens. The
  problem occurs multiple times per session.

  This is happening on 2 systems, one is not my own - a clean xubuntu
  16.04 install - and the other is my own, where I tried various tweaks
  to default.pa to fix the problem. None worked. This happens with a
  clean default.pa too. I also tried installing oem-audio-hda-daily-lts-
  xenial-dkms and that did not help either.

  The errors reported in pulseaudio stderr are as following:
  E: [alsa-sink-ALC892 Analog] alsa-sink.c: ALSA woke us up to write new data 
to the device, but there was actually nothing to write.
  E: [alsa-sink-ALC892 Analog] alsa-sink.c: Most likely this is a bug in the 
ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
  E: [alsa-sink-ALC892 Analog] alsa-sink.c: We were woken up with POLLOUT set 
-- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

   AUDIO STOPS WORKING BELOW THIS LINE, LONG TIME AFTER THE PREVIOUS
  LINE IS PRINTED 

  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  E: [pulseaudio] shm.c: shm_open() failed: No such file or directory
  ^CE: [pulseaudio] shm.c:  shm_unlink(/pulse-shm-3403108683) failed: No such 
file or directory
  E: [pulseaudio] shm.c:  shm_unlink(/pulse-shm-1445609972) failed: No such 
file or directory

  
  lsb_release -rd
  Description:Ubuntu 16.04.1 LTS
  Release:16.04

  apt-cache policy pulseaudio
  pulseaudio:
Installed: 1:8.0-0ubuntu3.1
Candidate: 1:8.0-0ubuntu3.1
Version table:
   *** 1:8.0-0ubuntu3.1 500
  500 http://pl.archive.ubuntu.com/ubuntu xenial-updates/main amd64 
Packages
  100 /var/lib/dpkg/status
   1:8.0-0ubuntu3 500
  500 http://pl.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

  ➜  ~ lspci | grep Audio
  00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family 
High Definition Audio Controller (rev 04)
  ➜  ~ lsmod | grep snd
  snd_usb_audio 176128  0
  snd_usbmidi_lib36864  1 snd_usb_audio
  snd_hda_codec_hdmi 53248  1
  snd_hda_codec_realtek86016  1
  snd_hda_codec_generic77824  1 snd_hda_codec_realtek
  snd_hda_intel  40960  6
  snd_hda_codec 135168  4 
snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel
  snd_hda_core   73728  5 
snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel
  snd_hwdep  16384  2 snd_usb_audio,snd_hda_codec
  snd_pcm   106496  6 
snd_usb_audio,snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd_hda_core
  snd_seq_midi   16384  0
  snd_seq_midi_event 16384  1 snd_seq_midi
  snd_rawmidi32768  2 snd_usbmidi_lib,snd_seq_midi
  snd_seq69632  2 snd_seq_midi_event,snd_seq_midi
  snd_seq_device 16384  3 snd_seq,snd_rawmidi,snd_seq_midi
  snd_timer  32768  3 snd_pcm,snd_seq
  snd81920  23 
snd_hda_codec_realtek,snd_usb_audio,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec_generic,snd_usbmidi_lib,snd_hda_codec,snd_hda_intel,snd_seq_device
  soundcore  16384  1 snd

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: pulseaudio 1:8.0-0ubuntu3.1
  ProcVersionSignature: Ubuntu 4.4.0-57.78-generic 4.4.35
  Uname: Linux 

[Touch-packages] [Bug 1657316] Re: package sudo 1.8.16-0ubuntu1.2 failed to install/upgrade: subprocess installed pre-removal script returned error exit status 1

2017-02-15 Thread Alberto Salvia Novella
Please:

1. Edit the description, so it explains in which way you edited the sudoers 
file.
2. Set status back to "confirmed".

Thank you.

** Changed in: sudo (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1657316

Title:
  package sudo 1.8.16-0ubuntu1.2 failed to install/upgrade: subprocess
  installed pre-removal script returned error exit status 1

Status in sudo package in Ubuntu:
  Incomplete

Bug description:
  i edited sudors file

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: sudo 1.8.16-0ubuntu1.2
  ProcVersionSignature: Ubuntu 4.4.0-59.80-generic 4.4.35
  Uname: Linux 4.4.0-59-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.4
  AptOrdering:
   ubuntu-minimal: Purge
   sudo: Purge
   NULL: ConfigurePending
  Architecture: amd64
  Date: Tue Jan 17 09:18:22 2017
  ErrorMessage: subprocess installed pre-removal script returned error exit 
status 1
  InstallationDate: Installed on 2017-01-12 (5 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.18
  SourcePackage: sudo
  Title: package sudo 1.8.16-0ubuntu1.2 failed to install/upgrade: subprocess 
installed pre-removal script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)
  VisudoCheck:
   /etc/sudoers: parsed OK
   /etc/sudoers.d/README: parsed OK
  mtime.conffile..etc.sudoers: 2017-01-17T09:28:25.343450

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1657316/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1658548] Re: package linux-image-4.4.0-62-generic 4.4.0-62.83 failed to install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1

2017-02-15 Thread Alberto Salvia Novella
** Changed in: initramfs-tools (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1658548

Title:
  package linux-image-4.4.0-62-generic 4.4.0-62.83 failed to
  install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools
  exited with return code 1

Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  unable to make any kind of installation (update / upgrade /apt-get
  install)

  Errormessagge: 
  "Fehler traten auf beim Bearbeiten von:
   linux-image-extra-4.4.0-31-generic
   linux-image-extra-4.4.0-45-generic"

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: linux-image-4.4.0-62-generic 4.4.0-62.83
  ProcVersionSignature: Ubuntu 4.4.0-47.68-generic 4.4.24
  Uname: Linux 4.4.0-47-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  neurodani   3485 F pulseaudio
   /dev/snd/controlC0:  neurodani   3485 F pulseaudio
  Date: Mon Jan 23 01:19:53 2017
  ErrorMessage: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  HibernationDevice: RESUME=UUID=45e826b0-f0c3-4038-8e9c-6b36424bcb34
  InstallationDate: Installed on 2016-11-06 (77 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  IwConfig:
   lono wireless extensions.
   
   eno1  no wireless extensions.
   
   enp8s0no wireless extensions.
  MachineType: ASUS All Series
  ProcFB:
   
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-47-generic 
root=/dev/mapper/ubuntu--vg-root ro persistent quiet splash
  PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No 
PulseAudio daemon running, or not running as session daemon.
  RelatedPackageVersions: grub-pc 2.02~beta2-36ubuntu3.7
  RfKill:
   0: hci0: Bluetooth
Soft blocked: no
Hard blocked: no
  SourcePackage: initramfs-tools
  Title: package linux-image-4.4.0-62-generic 4.4.0-62.83 failed to 
install/upgrade: run-parts: /etc/kernel/postinst.d/initramfs-tools exited with 
return code 1
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 05/15/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1801
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: X99-DELUXE
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1801:bd05/15/2015:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnX99-DELUXE:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.name: All Series
  dmi.product.version: System Version
  dmi.sys.vendor: ASUS

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1658548/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665026] Re: Coping image to Micro SD card with dd and on completion seen systemd-udevd crashed with SIGABRT in __open_nocancel()

2017-02-15 Thread Apport retracing service
*** This bug is a duplicate of bug 1544627 ***
https://bugs.launchpad.net/bugs/1544627

Thank you for taking the time to report this crash and helping to make
this software better.  This particular crash has already been reported
and is a duplicate of bug #1544627, so is being marked as such.  Please
look at the other bug report to see if there is any missing information
that you can provide, or to see if there is a workaround for the bug.
Additionally, any further discussion regarding the bug should occur in
the other report.  Please continue to report any other bugs you may
find.

** Attachment removed: "CoreDump.gz"
   
https://bugs.launchpad.net/bugs/1665026/+attachment/4819670/+files/CoreDump.gz

** Attachment removed: "Disassembly.txt"
   
https://bugs.launchpad.net/bugs/1665026/+attachment/4819673/+files/Disassembly.txt

** Attachment removed: "ProcMaps.txt"
   
https://bugs.launchpad.net/bugs/1665026/+attachment/4819679/+files/ProcMaps.txt

** Attachment removed: "ProcStatus.txt"
   
https://bugs.launchpad.net/bugs/1665026/+attachment/4819681/+files/ProcStatus.txt

** Attachment removed: "Registers.txt"
   
https://bugs.launchpad.net/bugs/1665026/+attachment/4819682/+files/Registers.txt

** Attachment removed: "Stacktrace.txt"
   
https://bugs.launchpad.net/bugs/1665026/+attachment/4819683/+files/Stacktrace.txt

** Attachment removed: "ThreadStacktrace.txt"
   
https://bugs.launchpad.net/bugs/1665026/+attachment/4819684/+files/ThreadStacktrace.txt

** This bug has been marked a duplicate of bug 1544627
   systemd-udevd crashed with SIGABRT in __open_nocancel()

** Information type changed from Private to Public

** Tags removed: need-amd64-retrace

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1665026

Title:
  Coping image to Micro SD card with dd and on completion seen systemd-
  udevd crashed with SIGABRT in __open_nocancel()

Status in systemd package in Ubuntu:
  New

Bug description:
  I was coping the same image as in bug 1665020 onto another SD card and
  I again saw an error when it completed.

  $ sudo dd bs=4M if=2016-03-18-octopi-jessie-lite-0.13.0.img of=/dev/sdb
  [sudo] password for user: 
  422+1 records in
  422+1 records out
  1772094464 bytes (1.8 GB, 1.7 GiB) copied, 297.19 s, 6.0 MB/s
  user@machine:~/Downloads/tmp$ sync

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: udev 229-4ubuntu16
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CrashCounter: 1
  CustomUdevRuleFiles: 60-vboxdrv.rules 60-ashling.rules z99-fs2.rules
  Date: Wed Feb 15 16:38:13 2017
  ExecutablePath: /lib/systemd/systemd-udevd
  InstallationDate: Installed on 2015-03-12 (705 days ago)
  InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 
(20150218.1)
  MachineType: Gigabyte Technology Co., Ltd. H81M-DS2V
  ProcCmdline: /lib/systemd/systemd-udevd
  ProcEnviron:
   LANG=en_GB.UTF-8
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-62-generic.efi.signed 
root=/dev/mapper/ubuntu--vg-root ro quiet splash crashkernel=384M-:128M 
vt.handoff=7
  Signal: 6
  SourcePackage: systemd
  StacktraceTop:
   __open_nocancel () at ../sysdeps/unix/syscall-template.S:84
   ?? ()
   ?? ()
   ?? ()
   ?? ()
  Title: systemd-udevd crashed with SIGABRT in __open_nocancel()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  dmi.bios.date: 08/11/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: F6
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: H81M-DS2V
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.board.version: x.x
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrF6:bd08/11/2015:svnGigabyteTechnologyCo.,Ltd.:pnH81M-DS2V:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnH81M-DS2V:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.name: H81M-DS2V
  dmi.product.version: To be filled by O.E.M.
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1665026/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665020] Re: Using dd to copy an .img onto an SD card and it ended with systemd-udevd crashed with SIGABRT in __open_nocancel()

2017-02-15 Thread Apport retracing service
*** This bug is a duplicate of bug 1544627 ***
https://bugs.launchpad.net/bugs/1544627

Thank you for taking the time to report this crash and helping to make
this software better.  This particular crash has already been reported
and is a duplicate of bug #1544627, so is being marked as such.  Please
look at the other bug report to see if there is any missing information
that you can provide, or to see if there is a workaround for the bug.
Additionally, any further discussion regarding the bug should occur in
the other report.  Please continue to report any other bugs you may
find.

** Attachment removed: "CoreDump.gz"
   
https://bugs.launchpad.net/bugs/1665020/+attachment/4819639/+files/CoreDump.gz

** Attachment removed: "Disassembly.txt"
   
https://bugs.launchpad.net/bugs/1665020/+attachment/4819642/+files/Disassembly.txt

** Attachment removed: "ProcMaps.txt"
   
https://bugs.launchpad.net/bugs/1665020/+attachment/4819648/+files/ProcMaps.txt

** Attachment removed: "ProcStatus.txt"
   
https://bugs.launchpad.net/bugs/1665020/+attachment/4819650/+files/ProcStatus.txt

** Attachment removed: "Registers.txt"
   
https://bugs.launchpad.net/bugs/1665020/+attachment/4819651/+files/Registers.txt

** Attachment removed: "Stacktrace.txt"
   
https://bugs.launchpad.net/bugs/1665020/+attachment/4819652/+files/Stacktrace.txt

** Attachment removed: "ThreadStacktrace.txt"
   
https://bugs.launchpad.net/bugs/1665020/+attachment/4819653/+files/ThreadStacktrace.txt

** This bug has been marked a duplicate of bug 1544627
   systemd-udevd crashed with SIGABRT in __open_nocancel()

** Information type changed from Private to Public

** Tags removed: need-amd64-retrace

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1665020

Title:
  Using dd to copy an .img onto an SD card and it ended with systemd-
  udevd crashed with SIGABRT in __open_nocancel()

Status in systemd package in Ubuntu:
  New

Bug description:
  I was using dd to copy an image onto an sd card: 
  $ sudo dd bs=4M if=2016-03-18-octopi-jessie-lite-0.13.0.img of=/dev/sdb
  [sudo] password for user: 

  422+1 records in
  422+1 records out
  1772094464 bytes (1.8 GB, 1.7 GiB) copied, 458.771 s, 3.9 MB/s
  $ 
  $ sync

  As the command completed an error was reported.  Running sync after
  the error message was seen seems to have worked OK.  The image I was
  attempting to copy to the card also seems to be OK.

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: udev 229-4ubuntu16
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CustomUdevRuleFiles: 60-vboxdrv.rules 60-ashling.rules z99-fs2.rules
  Date: Wed Feb 15 16:18:23 2017
  ExecutablePath: /lib/systemd/systemd-udevd
  InstallationDate: Installed on 2015-03-12 (705 days ago)
  InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 
(20150218.1)
  MachineType: Gigabyte Technology Co., Ltd. H81M-DS2V
  ProcCmdline: /lib/systemd/systemd-udevd
  ProcEnviron:
   LANG=en_GB.UTF-8
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-62-generic.efi.signed 
root=/dev/mapper/ubuntu--vg-root ro quiet splash crashkernel=384M-:128M 
vt.handoff=7
  Signal: 6
  SourcePackage: systemd
  StacktraceTop:
   __open_nocancel () at ../sysdeps/unix/syscall-template.S:84
   ?? ()
   ?? ()
   ?? ()
   ?? ()
  Title: systemd-udevd crashed with SIGABRT in __open_nocancel()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  dmi.bios.date: 08/11/2015
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: F6
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: H81M-DS2V
  dmi.board.vendor: Gigabyte Technology Co., Ltd.
  dmi.board.version: x.x
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrF6:bd08/11/2015:svnGigabyteTechnologyCo.,Ltd.:pnH81M-DS2V:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnH81M-DS2V:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.name: H81M-DS2V
  dmi.product.version: To be filled by O.E.M.
  dmi.sys.vendor: Gigabyte Technology Co., Ltd.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1665020/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1665018] [NEW] client tools ignore -h option without port number

2017-02-15 Thread Dariusz Gadomski
Public bug reported:

[Impact]
Prevents user from overriding default print server on cmdline if he's not aware 
of the fact that this bug may be overriden by giving a port number.

[Test Case]
1. Setup 2 cups servers with a shared printer set as default destination: 
server1, server2.
2. On a trusty client try:
export CUPS_SERVER=server1
lpstat -h server2 -H
3. Expected result:
server2:631
4. Actual result:
server1:631
(server given by CUPS_SERVER is used instead of the one given by -h option).

[Regression Potential]
Minimal. ipp_port is initialized to default value if not given explicitly. Fix 
is a backport from Xenial version and already present in upstream release.

[Other Info]
 
* Original bug description:

Some commandline tools (e.g. lp, lpstat) ignore -h option if no port number is 
given.
This version affects Trusty with cups-client 1.7.2-0ubuntu1.7. Xenial works 
fine.

Test to reproduce:
1. Setup 2 cups servers with a shared printer set as default destination: 
server1, server2.
2. On a trusty client try:
export CUPS_SERVER=server1
lpstat -h server2 -H

3. Expected result:
server2:631

4. Actual result:
server1:631
(server given by CUPS_SERVER is used instead of the one given by -h option).

If a port number is given (e.g. server2:631) the commands work as
expected.

** Affects: cups (Ubuntu)
 Importance: Medium
 Assignee: Dariusz Gadomski (dgadomski)
 Status: New


** Tags: sts

** Changed in: cups (Ubuntu)
   Importance: Undecided => Medium

** Changed in: cups (Ubuntu)
 Assignee: (unassigned) => Dariusz Gadomski (dgadomski)

** Tags added: sts

** Description changed:

+ [Impact]
+ Prevents user from overriding default print server on cmdline if he's not 
aware of the fact that this bug may be overriden by giving a port number.
+ 
+ [Test Case]
+ 1. Setup 2 cups servers with a shared printer set as default destination: 
server1, server2.
+ 2. On a trusty client try:
+ export CUPS_SERVER=server1
+ lpstat -h server2 -H
+ 3. Expected result:
+ server2:631
+ 4. Actual result:
+ server1:631
+ (server given by CUPS_SERVER is used instead of the one given by -h option).
+ 
+ [Regression Potential]
+ Minimal. ipp_port is initialized to default value if not given explicitly. 
Fix is a backport from Xenial version and already present in upstream release.
+ 
+ [Other Info]
+  
+ * Original bug description:
+ 
  Some commandline tools (e.g. lp, lpstat) ignore -h option if no port number 
is given.
  This version affects Trusty with cups-client 1.7.2-0ubuntu1.7. Xenial works 
fine.
  
  Test to reproduce:
  1. Setup 2 cups servers with a shared printer set as default destination: 
server1, server2.
  2. On a trusty client try:
  export CUPS_SERVER=server1
  lpstat -h server2 -H
  
  3. Expected result:
  server2:631
  
  4. Actual result:
  server1:631
  (server given by CUPS_SERVER is used instead of the one given by -h option).
  
  If a port number is given (e.g. server2:631) the commands work as
  expected.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cups in Ubuntu.
https://bugs.launchpad.net/bugs/1665018

Title:
  client tools ignore -h option without port number

Status in cups package in Ubuntu:
  New

Bug description:
  [Impact]
  Prevents user from overriding default print server on cmdline if he's not 
aware of the fact that this bug may be overriden by giving a port number.

  [Test Case]
  1. Setup 2 cups servers with a shared printer set as default destination: 
server1, server2.
  2. On a trusty client try:
  export CUPS_SERVER=server1
  lpstat -h server2 -H
  3. Expected result:
  server2:631
  4. Actual result:
  server1:631
  (server given by CUPS_SERVER is used instead of the one given by -h option).

  [Regression Potential]
  Minimal. ipp_port is initialized to default value if not given explicitly. 
Fix is a backport from Xenial version and already present in upstream release.

  [Other Info]
   
  * Original bug description:

  Some commandline tools (e.g. lp, lpstat) ignore -h option if no port number 
is given.
  This version affects Trusty with cups-client 1.7.2-0ubuntu1.7. Xenial works 
fine.

  Test to reproduce:
  1. Setup 2 cups servers with a shared printer set as default destination: 
server1, server2.
  2. On a trusty client try:
  export CUPS_SERVER=server1
  lpstat -h server2 -H

  3. Expected result:
  server2:631

  4. Actual result:
  server1:631
  (server given by CUPS_SERVER is used instead of the one given by -h option).

  If a port number is given (e.g. server2:631) the commands work as
  expected.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1665018/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1484801] Re: Feature request: gesture keyboard

2017-02-15 Thread Peter Bittner
Is there anything happening in this direction in the backlogs? I recall
having read in some other bug that Skeyer [1] is meant to be integrated
(or even in the process of being integrated) into Ubuntu Touch.

Doing a search on Skeyer again I only find Michael Sheldon's user
profile [2] who has a PPA for a Skeyer prototype.

[1] https://saidinesh5.wordpress.com/tag/skeyer/
[2] https://launchpad.net/~michael-sheldon

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyboard in Ubuntu.
https://bugs.launchpad.net/bugs/1484801

Title:
  Feature request: gesture keyboard

Status in ubuntu-keyboard package in Ubuntu:
  Confirmed

Bug description:
  Feature request: keyboard option to allow typing through swiping
  gestures for words rather than typing letters one by one. Currently
  available on android keyboard: settings: language and input: Google
  keyboard: gesture typing.

  Thanks again for everyone's work on Ubuntu touch.

  
  Everytime I use my Meizu Ubuntu phone, the first thing I miss is being able 
to swipe on the keyboard to type.

  I've looked around and found:

  https://bugs.launchpad.net/onboard/+bug/1094395

  http://ubuntuforums.org/showthread.php?t=2080510

  http://forum.swype.com/showthread.php?11368-SWYPE-for-Ubuntu-Touch-!

  Have I missed something?

  Thanks for everyone who is working on the Ubuntu phone!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-keyboard/+bug/1484801/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1655782] Re: Elfdalian layout + merge with Debian 2.19-1

2017-02-15 Thread Sebastien Bacher
Thank you but debdiffing the 2.19-1 version from Debian and the ppa it
looks like some files are being removed in Ubuntu compared to Debian
(.gitignore, iso15924.csv, extractGroupNames.sh, ...), the changelog
doesn't seem to cover that, could you explain what's going on?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xkeyboard-config in
Ubuntu.
https://bugs.launchpad.net/bugs/1655782

Title:
  Elfdalian layout + merge with Debian 2.19-1

Status in xkeyboard-config:
  Unknown
Status in xkeyboard-config package in Ubuntu:
  In Progress

Bug description:
  Please add the Elfdalian keyboard layout which has been added upstream
  (see the Freedesktop bug report).

  I also propose that we take this opportunity to merge with Debian
  xkeyboard-config 2.19-1.

To manage notifications about this bug go to:
https://bugs.launchpad.net/xkeyboard-config/+bug/1655782/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1545714] Re: Add speech input, voice input, dictate function for keyboard

2017-02-15 Thread Peter Bittner
Just found this video from 23-11-2016: "Ubuntu Keyboard - Speech
Recognition"

- https://www.youtube.com/watch?v=vglBQanR_t4

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyboard in Ubuntu.
https://bugs.launchpad.net/bugs/1545714

Title:
  Add speech input, voice input, dictate function for keyboard

Status in ubuntu-keyboard:
  New
Status in ubuntu-keyboard package in Ubuntu:
  Confirmed

Bug description:
  Typing on a mobile device is tedious. In some situations it's
  advantageous to dictate some text, use speech input that is translated
  to text (for texting, for writing documents, tasks, emails, etc.).

  A dictate function should be available in a integrated fashion with
  the keyboard, everywhere on Ubuntu Touch where text input is needed.

  Details
  ===

  This could be implemented as an integral feature (as in iOS, I
  believe) or via a pluggable API (on Android, I believe).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-keyboard/+bug/1545714/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664131] Re: package console-setup 1.108ubuntu15.3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 128

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: console-setup (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to console-setup in Ubuntu.
https://bugs.launchpad.net/bugs/1664131

Title:
  package console-setup 1.108ubuntu15.3 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 128

Status in console-setup package in Ubuntu:
  Confirmed

Bug description:
  After installing a new Ubuntu 16.04 I reinstalled the old programs
  again. When I installed texlive-full the error apear I guess. There
  where many programs I've installed almoust in the same time, so I'm
  not sure what the error came up from.

  Best regards

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: console-setup 1.108ubuntu15.3
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  Date: Mon Feb 13 00:27:05 2017
  ErrorMessage: subprocess installed post-installation script returned error 
exit status 128
  InstallationDate: Installed on 2017-02-12 (0 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.19
  SourcePackage: console-setup
  Title: package console-setup 1.108ubuntu15.3 failed to install/upgrade: 
subprocess installed post-installation script returned error exit status 128
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/console-setup/+bug/1664131/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1622575] Re: System hangs randomly (log shows 'EQ overflowing').

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: xorg (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1622575

Title:
  System hangs randomly (log shows 'EQ overflowing').

Status in xorg package in Ubuntu:
  Confirmed

Bug description:
  X Server and then system freezes, ALT+CTRL+Fx doesn't work, sometimes even 
REISUB doesn't work.
  Memtest result is ok, no errors. HDD also is ok. Windows works perfectly on 
the machine.
  It's possible to login via SSH and reboot (but during reboot process it also 
often hangs completely).
  The problem occures randomly during every-day work (usually once or twice a 
day making me loose my work!), like with totally no adequate reasons.
  I'm using AMD Athlon 5350 (SocketAM1 APU) with radeon R3 integrated video.
  My operating system is Ubuntu 16.04.1 LTS with all the last available 
updates. Bug lasts throughout all the time. Tried to reinstall many times 
(MD5sum of the installation image was correct) - nothing changes.

  x-0.log in the attachment

  part of the log:
  (EE) [mi] EQ overflowing.  Additional events will be discarded until existing 
events are processed.
  (EE) 
  (EE) Backtrace:
  (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x562fc426a5ce]
  (EE) 1: /usr/lib/xorg/Xorg (mieqEnqueue+0x253) [0x562fc424c083]
  (EE) 2: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x562fc4124662]
  (EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f7320d91000+0x61f3) 
[0x7f7320d971f3]
  (EE) 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f7320d91000+0x6a5d) 
[0x7f7320d97a5d]
  (EE) 5: /usr/lib/xorg/Xorg (0x562fc40b8000+0x94228) [0x562fc414c228]
  (EE) 6: /usr/lib/xorg/Xorg (0x562fc40b8000+0xb96f2) [0x562fc41716f2]
  (EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (0x7f732524e000+0x354a0) 
[0x7f73252834a0]
  (EE) 8: /lib/x86_64-linux-gnu/libpthread.so.0 (pthread_cond_wait+0xbe) 
[0x7f732503e39e]
  (EE) 9: /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so 
(0x7f731ec4b000+0x6b77fb) [0x7f731f3027fb]
  (EE) 10: /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so 
(0x7f731ec4b000+0x6b87c1) [0x7f731f3037c1]
  (EE) 11: /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so 
(0x7f731ec4b000+0x61bf52) [0x7f731f266f52]
  (EE) 12: /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so 
(0x7f731ec4b000+0x6d521e) [0x7f731f32021e]
  (EE) 13: /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so 
(0x7f731ec4b000+0x201de4) [0x7f731ee4cde4]
  (EE) 14: /usr/lib/xorg/modules/libglamoregl.so (glamor_block_handler+0x4b) 
[0x7f73204bcffb]
  (EE) 15: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x7f732133c000+0x471b2) 
[0x7f73213831b2]
  (EE) 16: /usr/lib/xorg/Xorg (_CallCallbacks+0x34) [0x562fc4111034]
  (EE) 17: /usr/lib/xorg/Xorg (WriteToClient+0x244) [0x562fc426e234]
  (EE) 18: /usr/lib/xorg/Xorg (WriteEventsToClient+0x1e2) [0x562fc4117022]
  (EE) 19: /usr/lib/xorg/Xorg (0x562fc40b8000+0x133b5f) [0x562fc41ebb5f]
  (EE) 20: /usr/lib/xorg/Xorg (DamageReportDamage+0x89) [0x562fc41f1359]
  (EE) 21: /usr/lib/xorg/Xorg (0x562fc40b8000+0x139c1a) [0x562fc41f1c1a]
  (EE) 22: /usr/lib/xorg/Xorg (0x562fc40b8000+0x13d140) [0x562fc41f5140]
  (EE) 23: /usr/lib/xorg/Xorg (0x562fc40b8000+0x4fb87) [0x562fc4107b87]
  (EE) 24: /usr/lib/xorg/Xorg (0x562fc40b8000+0x53bbf) [0x562fc410bbbf]
  (EE) 25: /usr/lib/xorg/Xorg (0x562fc40b8000+0x57c33) [0x562fc410fc33]
  (EE) 26: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf0) 
[0x7f732526e830]
  (EE) 27: /usr/lib/xorg/Xorg (_start+0x29) [0x562fc40f9f59]
  (EE) 
  (EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up 
the stack.
  (EE) [mi] mieq is *NOT* the cause.  It is a victim.
  (EE) [mi] EQ overflow continuing.  100 events have been dropped.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
  Uname: Linux 4.4.0-36-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Mon Sep 12 14:31:34 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  DkmsStatus:
   virtualbox, 5.0.24, 4.4.0-34-generic, x86_64: installed
   virtualbox, 5.0.24, 4.4.0-36-generic, x86_64: installed
  ExtraDebuggingInterest: No
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Kabini [Radeon HD 8400 / R3 Series] 
[1002:9830] (prog-if 00 [VGA controller])
 Subsystem: Micro-Star International Co., Ltd. [MSI] Kabini [Radeon HD 8400 
/ R3 Series] [1462:7865]
  InstallationDate: Installed on 2016-08-18 (25 days ago)
  InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release 

[Touch-packages] [Bug 1545683] Re: Feature: T9 Layout

2017-02-15 Thread Peter Bittner
Is there any  progress with this?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyboard in Ubuntu.
https://bugs.launchpad.net/bugs/1545683

Title:
  Feature: T9 Layout

Status in ubuntu-keyboard:
  New
Status in ubuntu-keyboard package in Ubuntu:
  Confirmed

Bug description:
  Hi,

  a T9 layout for the keyboard would be pretty nice. It would make
  typing alot easier, if someone has big thumbs or is used to this
  layout.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-keyboard/+bug/1545683/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1545714] Re: Add speech input, voice input, dictate function for keyboard

2017-02-15 Thread Peter Bittner
Is there any progress with this? Are there any, at least vague, plans to
make this happen anytime soon?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyboard in Ubuntu.
https://bugs.launchpad.net/bugs/1545714

Title:
  Add speech input, voice input, dictate function for keyboard

Status in ubuntu-keyboard:
  New
Status in ubuntu-keyboard package in Ubuntu:
  Confirmed

Bug description:
  Typing on a mobile device is tedious. In some situations it's
  advantageous to dictate some text, use speech input that is translated
  to text (for texting, for writing documents, tasks, emails, etc.).

  A dictate function should be available in a integrated fashion with
  the keyboard, everywhere on Ubuntu Touch where text input is needed.

  Details
  ===

  This could be implemented as an integral feature (as in iOS, I
  believe) or via a pluggable API (on Android, I believe).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-keyboard/+bug/1545714/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1609700] Re: username is not saved in openconnect connection dialog

2017-02-15 Thread Christopher Bunn
On Xubuntu 16.04 LTS, the solution described by tommyangelo resolved the issue. 
Thank you Tomas.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1609700

Title:
  username is not saved in openconnect connection dialog

Status in network-manager package in Ubuntu:
  Confirmed
Status in network-manager-openconnect package in Ubuntu:
  Confirmed
Status in Fedora:
  Unknown

Bug description:
  
  Hi,

  I clicked on "save passwords" but only the password is filled in
  automatically when I open the connection dialog. The "Username" field
  is empty!

  This happens for a SSLVPN configuration.

  For another VPN config (don't know which type) everything is ok.

  
  openconnect: 7.06-2build2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1609700/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1521518] Re: No way to invoke OSK when a hardware keyboard is connected

2017-02-15 Thread Lukáš Tinkl
** Branch unlinked: lp:~lukas-kde/unity8/osk-plus-hardware-kbd

** Branch linked: lp:~lukas-kde/unity8/osk-indicator-switch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1521518

Title:
  No way to invoke OSK when a hardware keyboard is connected

Status in Canonical System Image:
  Triaged
Status in Ubuntu UX:
  Fix Committed
Status in ubuntu-system-settings package in Ubuntu:
  In Progress
Status in unity8 package in Ubuntu:
  In Progress

Bug description:
  There are mice on the market that claim to be keyboards as well. This
  inhibits OSK. We can try and find out how many keys they have and be
  smart about it.

  Regardless, we should have a way of forcing the OSK, especially on
  touch-enabled devices. Whether it's triggered by a touch (as opposed
  to mouse click) on the text area, or with a button in the text field
  (replaced with the clear icon when you start typing). Another option
  is the copy/paste dropdown.

  UX solution: 
  Interim solution until the ideal solution can be implemented : 
https://docs.google.com/document/d/1YbA0LEwbsNVf2O5C0ObNFRv3Tsuqn2HyYCsjEcY02OA/edit#
 

  Ideal UX solution
  :
  
  The on-screen keyboard should appear if:
  * no external keyboard is connected, and a text field becomes focused; or
  * an external keyboard is connected, but the most recent text typed anywhere 
was with the OSK, and a text field becomes focused; or
  * an external keyboard is connected, and the most recent text typed was with 
an external keyboard, but you tap in the already-focused text field. (App 
developers are responsible for emulating this behavior in typable areas that 
are not text fields.)
  

  == original description ==

  1. Boot nexus 7
  2. In the login screen, test that OSK works by tapping the password textfield
  3. swipe keyboard back down after testing it works
  4. Turn on Bluetooth mouse to get a mouse cursor
  5. Click on password textfield

  OSK doesn't pop up, touch tapping on the field doesn't bring up the
  OSK anymore either.

  ie. The login screen is not usable with mouse connected - cannot type
  in password via OSK since it doesn't come up when clicking the
  password textfield with mouse.

  See attached screenshot. Focus on textfield. Would expect OSK to show
  up.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1521518/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1312892] Re: Does not remember last size of window on desktop

2017-02-15 Thread Florian Boucault
** Changed in: webbrowser-app (Ubuntu)
 Assignee: (unassigned) => Florian Boucault (fboucault)

** Changed in: webbrowser-app (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1312892

Title:
  Does not remember last size of window on desktop

Status in webbrowser-app package in Ubuntu:
  In Progress

Bug description:
  The default window size is too small for some webapps.  For example
  Google Calendar content is crunched up to fit in the window size.

  Changing the window size to accommodate the content is possible but
  this is not retained when the webapp is next loaded which is very
  annoying.

  Allowing the browser to remember the chosen size for the webapp would
  be more user friendly.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1312892/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1641592] Re: nano 2.5.3-2 on Xenial crashes with long paths on lockfiles

2017-02-15 Thread Antti Tönkyrä
Package from
https://launchpad.net/ubuntu/+source/nano/2.5.3-2ubuntu2/+build/12012329/+files/nano_2.5.3-2ubuntu2_amd64.deb
worked as expected and fixes the bug described. Thanks!

** Tags removed: verification-needed
** Tags added: verification-done

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nano in Ubuntu.
https://bugs.launchpad.net/bugs/1641592

Title:
  nano 2.5.3-2 on Xenial crashes with long paths on lockfiles

Status in nano package in Ubuntu:
  Fix Released
Status in nano source package in Xenial:
  Fix Committed

Bug description:
  # lsb_release -rd
  Description:Ubuntu 16.04.1 LTS
  Release:16.04
  # apt-cache policy nano
  nano:
Installed: 2.5.3-2
Candidate: 2.5.3-2

  Reproducer:
  1. # nano -G 
999
  2. 
  3. # nano -G 
999
  4. 
  5. 

  Quick dissection:
  Looking at function do_lockfile in files.c, it seems that promptstr is 
statically allocated to 128 characters. Now with a sufficiently long filename, 
the following sprintf() call will overflow the allocated promptstr buffer and 
corrupt memory.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nano/+bug/1641592/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664994] Re: Black screen when trying to log in into unity8 session

2017-02-15 Thread Alfonso Sanchez-Beato
** Attachment added: "unity-system-compositor.log"
   
https://bugs.launchpad.net/ubuntu/+source/unity8/+bug/1664994/+attachment/4819575/+files/unity-system-compositor.log

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1664994

Title:
  Black screen when trying to log in into unity8 session

Status in unity8 package in Ubuntu:
  New

Bug description:
  When I log in into unity8 I get a black screen.

  This is happening on xenial+overlay, using the unity8 snap. It seems
  to have started to happen after doing a dist-upgrade which installed
  packages from the overlay (15 Feb).

  Installed snaps:

  $ snap list
  NameVersion Rev   Developer  
Notes
  address-book-app0.2+17.04.20161219-0ubuntu1 21canonical  
devmode
  camera-app  3.0.0+17.04.20170106-0ubuntu1   11canonical  
devmode
  core16.04.1 1079  canonical  -
  gallery-app 0.0.67+17.04.20161213-0ubuntu1  13canonical  
devmode
  inkscape0.92.0  1880  inkscape   -
  mediaplayer-app 0.20.5+17.04.20161201-0ubuntu1  x1   
devmode
  ubuntu-app-platform 1   37canonical  
devmode
  ubuntu-calculator-app   2.3.1   26ubuntucoredev  
devmode
  ubuntu-calendar-app 0.1.1   22canonical  
devmode
  ubuntu-clock-app3.8.480 29ubuntucoredev  
devmode
  ubuntu-filemanager-app  0.4 10canonical  
devmode
  ubuntu-terminal-app 0.1142canonical  
devmode
  unity8-session  16.04   439   canonical  
devmode
  webbrowser-app  20170119~staging10canonical  
devmode

  See also attached unity-system-compositor.log and ~/user/.xsession-
  errors

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unity8/+bug/1664994/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664994] [NEW] Black screen when trying to log in into unity8 session

2017-02-15 Thread Alfonso Sanchez-Beato
Public bug reported:

When I log in into unity8 I get a black screen.

This is happening on xenial+overlay, using the unity8 snap. It seems to
have started to happen after doing a dist-upgrade which installed
packages from the overlay (15 Feb).

Installed snaps:

$ snap list
NameVersion Rev   Developer  
Notes
address-book-app0.2+17.04.20161219-0ubuntu1 21canonical  
devmode
camera-app  3.0.0+17.04.20170106-0ubuntu1   11canonical  
devmode
core16.04.1 1079  canonical  -
gallery-app 0.0.67+17.04.20161213-0ubuntu1  13canonical  
devmode
inkscape0.92.0  1880  inkscape   -
mediaplayer-app 0.20.5+17.04.20161201-0ubuntu1  x1   
devmode
ubuntu-app-platform 1   37canonical  
devmode
ubuntu-calculator-app   2.3.1   26ubuntucoredev  
devmode
ubuntu-calendar-app 0.1.1   22canonical  
devmode
ubuntu-clock-app3.8.480 29ubuntucoredev  
devmode
ubuntu-filemanager-app  0.4 10canonical  
devmode
ubuntu-terminal-app 0.1142canonical  
devmode
unity8-session  16.04   439   canonical  
devmode
webbrowser-app  20170119~staging10canonical  
devmode

See also attached unity-system-compositor.log and ~/user/.xsession-
errors

** Affects: unity8 (Ubuntu)
 Importance: Undecided
 Status: New

** Attachment added: "xsession-errors"
   
https://bugs.launchpad.net/bugs/1664994/+attachment/4819574/+files/xsession-errors

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1664994

Title:
  Black screen when trying to log in into unity8 session

Status in unity8 package in Ubuntu:
  New

Bug description:
  When I log in into unity8 I get a black screen.

  This is happening on xenial+overlay, using the unity8 snap. It seems
  to have started to happen after doing a dist-upgrade which installed
  packages from the overlay (15 Feb).

  Installed snaps:

  $ snap list
  NameVersion Rev   Developer  
Notes
  address-book-app0.2+17.04.20161219-0ubuntu1 21canonical  
devmode
  camera-app  3.0.0+17.04.20170106-0ubuntu1   11canonical  
devmode
  core16.04.1 1079  canonical  -
  gallery-app 0.0.67+17.04.20161213-0ubuntu1  13canonical  
devmode
  inkscape0.92.0  1880  inkscape   -
  mediaplayer-app 0.20.5+17.04.20161201-0ubuntu1  x1   
devmode
  ubuntu-app-platform 1   37canonical  
devmode
  ubuntu-calculator-app   2.3.1   26ubuntucoredev  
devmode
  ubuntu-calendar-app 0.1.1   22canonical  
devmode
  ubuntu-clock-app3.8.480 29ubuntucoredev  
devmode
  ubuntu-filemanager-app  0.4 10canonical  
devmode
  ubuntu-terminal-app 0.1142canonical  
devmode
  unity8-session  16.04   439   canonical  
devmode
  webbrowser-app  20170119~staging10canonical  
devmode

  See also attached unity-system-compositor.log and ~/user/.xsession-
  errors

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unity8/+bug/1664994/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1649931] Re: systemd-networkd needs to ensure DNS is up before network-online.target

2017-02-15 Thread Chris J Arges
Hello Ryan, or anyone else affected,

Accepted systemd into xenial-proposed. The package will build now and be
available at https://launchpad.net/ubuntu/+source/systemd/229-4ubuntu17
in a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
enable and use -proposed.  Your feedback will aid us getting this update
out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, and change the tag
from verification-needed to verification-done. If it does not fix the
bug for you, please add a comment stating that, and change the tag to
verification-failed.  In either case, details of your testing will help
us make a better decision.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance!

** Changed in: systemd (Ubuntu Xenial)
   Status: Confirmed => Fix Committed

** Tags removed: verification-failed

** Tags added: verification-needed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to resolvconf in Ubuntu.
https://bugs.launchpad.net/bugs/1649931

Title:
  systemd-networkd needs to ensure DNS is up before network-
  online.target

Status in resolvconf package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in resolvconf source package in Xenial:
  Fix Committed
Status in systemd source package in Xenial:
  Fix Committed
Status in resolvconf source package in Yakkety:
  Fix Committed
Status in resolvconf package in Debian:
  Fix Committed

Bug description:
  Currently resolvconf and systemd-networkd don't ensure DNS has been
  configured before allowing network-online.target to be reached.

  This was discussed in https://launchpad.net/bugs/1636912 however it
  was not a regression since there aren't any users of networkd + DNS
  early in boot at this time, it was requested that we move this DNS
  issue to a separate bug.

  [SRU]
  Fix: switch resolvconf.service to run Before=network-pre.target and add 
Wants=network-pre.target.  Add a Before=network-online.target to 
systemd-networkd-resolvconf-update.service to ensure we update /etc/resolv.conf 
with DNS config prior to reaching network-online.target.

  Regression potential: Low. networkd is not widely being used outside
  of netplan/snappy in xenial.

  Test Case:
    lxc launch ubuntu-daily:xenial x1
    lxc exec x1 /bin/bash

    # make sure you're on systemd-229-4ubuntu13
    apt update && apt install -y systemd

    # enable networkd and netplan
    apt install -y nplan
  cat < /etc/netplan/nplan.yaml
  network:
    version: 2
    ethernets:
  eth0:
    dhcp4: true
  EOF
    sed -i.orig -e 's/^source/# source/' /etc/network/interfaces

    netplan generate

    # make sure cloud-init.service uses networkd
    sed -i.orig -e '/After=networking.service/a 
After=systemd-networkd-wait-online.service' 
/lib/systemd/system/cloud-init.service

    reboot

    # check that the order of execution with:
    journalctl -o short-precise --unit resolvconf.service --unit 
network-online.target --unit systemd-networkd-wait-online.service --unit 
systemd-networkd-resolvconf-update.service

    # the order should be:
  1. resolvconf:  systemd[1]: Started Nameserver information manager.
  2. systemd-networkd-wait-online.service:  systemd[1]: Starting Wait for 
Network to be Configured...
  3. systemd-networkd-resolvconf-update.service: systemd[1]: Started Update 
resolvconf for networkd DNS.
  4. network-online.target: systemd[1]: Reached target Network is Online.

  === BAD OUTPUT ===
  On a failing system, Reached target Network is Online occurs before (1, 2, or 
3) above, like this output:

  Dec 15 19:18:15.233443 x4 systemd[1]: Started Nameserver information manager.
  Dec 15 19:18:15.797857 x4 systemd[1]: Starting Wait for Network to be 
Configured...
  Dec 15 19:18:15.799573 x4 systemd-networkd-wait-online[145]: ignoring: lo
  Dec 15 19:18:15.804949 x4 systemd-networkd-wait-online[145]: ignoring: lo
  Dec 15 19:18:15.805079 x4 systemd-networkd-wait-online[145]: ignoring: lo
  Dec 15 19:18:29.100305 x4 systemd[1]: Starting Update resolvconf for networkd 
DNS...
  Dec 15 19:18:29.101870 x4 systemd[1]: Started Wait for Network to be 
Configured.
  Dec 15 19:18:29.102144 x4 systemd[1]: Reached target Network is Online.
  Dec 15 19:18:29.212842 x4 systemd[1]: Started Update resolvconf for networkd 
DNS.

  === GOOD OUTPUT ===
  On a passing system, Reached target Network is Online occurs after 1, 2, and 
3.

  Dec 15 19:28:42.548545 x4 systemd[1]: Started Nameserver information manager.
  Dec 15 19:28:43.144389 x4 systemd[1]: Starting Wait for Network to be 
Configured...
  Dec 15 19:28:43.146155 x4 systemd-networkd-wait-online[145]: 

[Touch-packages] [Bug 1641592] Re: nano 2.5.3-2 on Xenial crashes with long paths on lockfiles

2017-02-15 Thread Chris J Arges
Hello Antti, or anyone else affected,

Accepted nano into xenial-proposed. The package will build now and be
available at https://launchpad.net/ubuntu/+source/nano/2.5.3-2ubuntu2 in
a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
enable and use -proposed.  Your feedback will aid us getting this update
out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, and change the tag
from verification-needed to verification-done. If it does not fix the
bug for you, please add a comment stating that, and change the tag to
verification-failed.  In either case, details of your testing will help
us make a better decision.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance!

** Changed in: nano (Ubuntu Xenial)
   Status: Triaged => Fix Committed

** Tags added: verification-needed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nano in Ubuntu.
https://bugs.launchpad.net/bugs/1641592

Title:
  nano 2.5.3-2 on Xenial crashes with long paths on lockfiles

Status in nano package in Ubuntu:
  Fix Released
Status in nano source package in Xenial:
  Fix Committed

Bug description:
  # lsb_release -rd
  Description:Ubuntu 16.04.1 LTS
  Release:16.04
  # apt-cache policy nano
  nano:
Installed: 2.5.3-2
Candidate: 2.5.3-2

  Reproducer:
  1. # nano -G 
999
  2. 
  3. # nano -G 
999
  4. 
  5. 

  Quick dissection:
  Looking at function do_lockfile in files.c, it seems that promptstr is 
statically allocated to 128 characters. Now with a sufficiently long filename, 
the following sprintf() call will overflow the allocated promptstr buffer and 
corrupt memory.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nano/+bug/1641592/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664990] [NEW] Restore focus on parent tab when closing child tab

2017-02-15 Thread Olivier Tilloy
Public bug reported:

(follow-up to https://code.launchpad.net/~fboucault/webbrowser-
app/background_open_tabs_adjacent/+merge/316226)

In chromium on desktop, when opening a link in a new tab (for instance when 
Ctrl+clicking on a hyperlink), the new tab is open next to the parent tab. When 
closing that child tab, the parent tab is the one that becomes current.
In webbrowser-app, when closing the child tab, the next one in the list becomes 
current. It would be nice if webbrowser-app implemented the same behaviour as 
chromium.

Steps to reproduce:
 1) Start webbrowser-app, and open two tabs, e.g. http://example.org and 
http://start.ubuntu.com
 2) Focus the first tab (example.org) and right click on the "More 
information…" link (this opens a new tab in second position and focuses it
 3) Press Ctrl+W to close the current tab

Expected result: the first tab (example.org) is the one that gets
focused.

Actual result: the second tab (start.ubuntu.com) is the one that gets
focused.

** Affects: webbrowser-app (Ubuntu)
 Importance: Medium
 Assignee: Florian Boucault (fboucault)
 Status: Triaged

** Changed in: webbrowser-app (Ubuntu)
 Assignee: (unassigned) => Florian Boucault (fboucault)

** Changed in: webbrowser-app (Ubuntu)
   Importance: Undecided => Medium

** Changed in: webbrowser-app (Ubuntu)
   Status: New => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1664990

Title:
  Restore focus on parent tab when closing child tab

Status in webbrowser-app package in Ubuntu:
  Triaged

Bug description:
  (follow-up to https://code.launchpad.net/~fboucault/webbrowser-
  app/background_open_tabs_adjacent/+merge/316226)

  In chromium on desktop, when opening a link in a new tab (for instance when 
Ctrl+clicking on a hyperlink), the new tab is open next to the parent tab. When 
closing that child tab, the parent tab is the one that becomes current.
  In webbrowser-app, when closing the child tab, the next one in the list 
becomes current. It would be nice if webbrowser-app implemented the same 
behaviour as chromium.

  Steps to reproduce:
   1) Start webbrowser-app, and open two tabs, e.g. http://example.org and 
http://start.ubuntu.com
   2) Focus the first tab (example.org) and right click on the "More 
information…" link (this opens a new tab in second position and focuses it
   3) Press Ctrl+W to close the current tab

  Expected result: the first tab (example.org) is the one that gets
  focused.

  Actual result: the second tab (start.ubuntu.com) is the one that gets
  focused.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1664990/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1521518] Re: No way to invoke OSK when a hardware keyboard is connected

2017-02-15 Thread Launchpad Bug Tracker
** Branch linked: lp:~michael-sheldon/ubuntu-system-settings/show-osk-
setting

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1521518

Title:
  No way to invoke OSK when a hardware keyboard is connected

Status in Canonical System Image:
  Triaged
Status in Ubuntu UX:
  Fix Committed
Status in ubuntu-system-settings package in Ubuntu:
  In Progress
Status in unity8 package in Ubuntu:
  In Progress

Bug description:
  There are mice on the market that claim to be keyboards as well. This
  inhibits OSK. We can try and find out how many keys they have and be
  smart about it.

  Regardless, we should have a way of forcing the OSK, especially on
  touch-enabled devices. Whether it's triggered by a touch (as opposed
  to mouse click) on the text area, or with a button in the text field
  (replaced with the clear icon when you start typing). Another option
  is the copy/paste dropdown.

  UX solution: 
  Interim solution until the ideal solution can be implemented : 
https://docs.google.com/document/d/1YbA0LEwbsNVf2O5C0ObNFRv3Tsuqn2HyYCsjEcY02OA/edit#
 

  Ideal UX solution
  :
  
  The on-screen keyboard should appear if:
  * no external keyboard is connected, and a text field becomes focused; or
  * an external keyboard is connected, but the most recent text typed anywhere 
was with the OSK, and a text field becomes focused; or
  * an external keyboard is connected, and the most recent text typed was with 
an external keyboard, but you tap in the already-focused text field. (App 
developers are responsible for emulating this behavior in typable areas that 
are not text fields.)
  

  == original description ==

  1. Boot nexus 7
  2. In the login screen, test that OSK works by tapping the password textfield
  3. swipe keyboard back down after testing it works
  4. Turn on Bluetooth mouse to get a mouse cursor
  5. Click on password textfield

  OSK doesn't pop up, touch tapping on the field doesn't bring up the
  OSK anymore either.

  ie. The login screen is not usable with mouse connected - cannot type
  in password via OSK since it doesn't come up when clicking the
  password textfield with mouse.

  See attached screenshot. Focus on textfield. Would expect OSK to show
  up.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1521518/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664758] Re: UbuntuListView leading/trailing Actions looks disabled on SuruDark

2017-02-15 Thread Christian Dywan
** Changed in: ubuntu-ui-toolkit (Ubuntu)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1664758

Title:
  UbuntuListView leading/trailing Actions looks disabled on SuruDark

Status in ubuntu-ui-toolkit package in Ubuntu:
  Fix Committed

Bug description:
  See screenshot

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1664758/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664979] [NEW] Xorg freeze EQ overflow...

2017-02-15 Thread Nick
Public bug reported:

I was on 14.04 and had no problem, but I started to have EQ overflow after 
upgrading to 14.04.3.
Then I did fresh install of 16.04 on the same PC, but still EQ overflow occurs 
after closing SMPlayer.

[640410.566] (WW) NVIDIA(0): WAIT (2, 8, 0x8000, 0x3d14, 0x4078)
[640417.566] (WW) NVIDIA(0): WAIT (1, 8, 0x8000, 0x3d14, 0x4078)
[640421.680] (WW) NVIDIA(0): WAIT (2, 8, 0x8000, 0x3d14, 0xf5d4)
[640428.680] (WW) NVIDIA(0): WAIT (1, 8, 0x8000, 0x3d14, 0xf5d4)
[640439.704] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc1, 0x3d14, 0xf680)
[640446.704] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc1, 0x3d14, 0xf680)
[640449.705] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cf7, 0x3d14, 0xf680)
[640456.705] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cf7, 0x3d14, 0xf680)
[640459.706] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc2, 0x3d14, 0xf724)
[640466.706] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc2, 0x3d14, 0xf724)
[640469.707] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cf8, 0x3d14, 0xf724)
[640476.707] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cf8, 0x3d14, 0xf724)
[640479.708] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc3, 0x3d14, 0xf7c8)
[640486.708] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc3, 0x3d14, 0xf7c8)
[640489.709] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cf9, 0x3d14, 0xf7c8)
[640496.709] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cf9, 0x3d14, 0xf7c8)
[640499.710] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc4, 0x3d14, 0xf86c)
[640506.710] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc4, 0x3d14, 0xf86c)
[640509.711] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cfa, 0x3d14, 0xf86c)
[640516.711] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cfa, 0x3d14, 0xf86c)
[640519.712] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc5, 0x3d14, 0xf910)
[640526.712] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc5, 0x3d14, 0xf910)
[640529.713] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cfb, 0x3d14, 0xf910)
[640536.713] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16cfb, 0x3d14, 0xf910)
[640539.714] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16dc6, 0x3d14, 0xf9b4)
[640546.714] (WW) NVIDIA(0): WAIT (1-S, 17, 0x16dc6, 0x3d14, 0xf9b4)
[640549.715] (WW) NVIDIA(0): WAIT (2-S, 17, 0x16cfc, 0x3d14, 0xf9b4)
(EE) [mi] EQ overflowing.  Additional events will be discarded until existing 
events are processed.
(EE) 
(EE) Backtrace:
(EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55b19d068ade]
(EE) 1: /usr/lib/xorg/Xorg (mieqEnqueue+0x253) [0x55b19d04a583]
(EE) 2: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55b19cf22862]
(EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x61f3) 
[0x7fdc68ed61f3]
(EE) 4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x6a5d) 
[0x7fdc68ed6a5d]
(EE) 5: /usr/lib/xorg/Xorg (0x55b19ceb6000+0x94538) [0x55b19cf4a538]
(EE) 6: /usr/lib/xorg/Xorg (0x55b19ceb6000+0xb9922) [0x55b19cf6f922]
(EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (0x7fdc6faec000+0x354b0) 
[0x7fdc6fb214b0]
(EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (__sched_yield+0x7) [0x7fdc6fbd5c47]
(EE) 9: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0xa7c61) [0x7fdc6ac04c61]
(EE) 10: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0xbb7bc) [0x7fdc6ac187bc]
(EE) 11: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0x5b1ec2) [0x7fdc6b10eec2]
(EE) 
(EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up 
the stack.
(EE) [mi] mieq is *NOT* the cause.  It is a victim.
(EE) [mi] EQ overflow continuing.  100 events have been dropped.
(EE) 
(EE) Backtrace:
(EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55b19d068ade]
(EE) 1: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55b19cf22862]
(EE) 2: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x61f3) 
[0x7fdc68ed61f3]
(EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x6a5d) 
[0x7fdc68ed6a5d]
(EE) 4: /usr/lib/xorg/Xorg (0x55b19ceb6000+0x94538) [0x55b19cf4a538]
(EE) 5: /usr/lib/xorg/Xorg (0x55b19ceb6000+0xb9922) [0x55b19cf6f922]
(EE) 6: /lib/x86_64-linux-gnu/libc.so.6 (0x7fdc6faec000+0x354b0) 
[0x7fdc6fb214b0]
(EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (__sched_yield+0x7) [0x7fdc6fbd5c47]
(EE) 8: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0xa7c61) [0x7fdc6ac04c61]
(EE) 9: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0xbb7bc) [0x7fdc6ac187bc]
(EE) 10: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so 
(0x7fdc6ab5d000+0x5b1ec2) [0x7fdc6b10eec2]
(EE) 
(EE) [mi] EQ overflow continuing.  200 events have been dropped.
(EE) 
(EE) Backtrace:
(EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55b19d068ade]
(EE) 1: /usr/lib/xorg/Xorg (QueuePointerEvents+0x52) [0x55b19cf22862]
(EE) 2: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x61f3) 
[0x7fdc68ed61f3]
(EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fdc68ed+0x6a5d) 

[Touch-packages] [Bug 1521518] Re: No way to invoke OSK when a hardware keyboard is connected

2017-02-15 Thread Michael Sheldon
** Changed in: ubuntu-system-settings (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1521518

Title:
  No way to invoke OSK when a hardware keyboard is connected

Status in Canonical System Image:
  Triaged
Status in Ubuntu UX:
  Fix Committed
Status in ubuntu-system-settings package in Ubuntu:
  In Progress
Status in unity8 package in Ubuntu:
  In Progress

Bug description:
  There are mice on the market that claim to be keyboards as well. This
  inhibits OSK. We can try and find out how many keys they have and be
  smart about it.

  Regardless, we should have a way of forcing the OSK, especially on
  touch-enabled devices. Whether it's triggered by a touch (as opposed
  to mouse click) on the text area, or with a button in the text field
  (replaced with the clear icon when you start typing). Another option
  is the copy/paste dropdown.

  UX solution: 
  Interim solution until the ideal solution can be implemented : 
https://docs.google.com/document/d/1YbA0LEwbsNVf2O5C0ObNFRv3Tsuqn2HyYCsjEcY02OA/edit#
 

  Ideal UX solution
  :
  
  The on-screen keyboard should appear if:
  * no external keyboard is connected, and a text field becomes focused; or
  * an external keyboard is connected, but the most recent text typed anywhere 
was with the OSK, and a text field becomes focused; or
  * an external keyboard is connected, and the most recent text typed was with 
an external keyboard, but you tap in the already-focused text field. (App 
developers are responsible for emulating this behavior in typable areas that 
are not text fields.)
  

  == original description ==

  1. Boot nexus 7
  2. In the login screen, test that OSK works by tapping the password textfield
  3. swipe keyboard back down after testing it works
  4. Turn on Bluetooth mouse to get a mouse cursor
  5. Click on password textfield

  OSK doesn't pop up, touch tapping on the field doesn't bring up the
  OSK anymore either.

  ie. The login screen is not usable with mouse connected - cannot type
  in password via OSK since it doesn't come up when clicking the
  password textfield with mouse.

  See attached screenshot. Focus on textfield. Would expect OSK to show
  up.

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1521518/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1662608] Re: unity8 should not depend on unity8-tests

2017-02-15 Thread Michał Sawicz
** Changed in: qtmir (Ubuntu)
   Status: Triaged => In Progress

** Changed in: qtmir (Ubuntu)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1662608

Title:
  unity8 should not depend on unity8-tests

Status in qtmir package in Ubuntu:
  Fix Committed
Status in unity8 package in Ubuntu:
  Invalid

Bug description:
  Today's unity8 update installs a bunch of -dev packages. This doesn't
  seem intended.

  It looks to me like the virtual package unity-application-impl-26
  depends on unity8-tests but it shouldn't, right?

  
  $ apt-cache showpkg unity-application-impl-23
  Package: unity-application-impl-23
  Versions: 

  Reverse Depends: 
  Dependencies: 
  Provides: 
  Reverse Provides: 
  qtdeclarative5-qtmir-plugin 0.5.1+17.04.20170127-0ubuntu1 (= )
  qtdeclarative5-qtmir-plugin 0.5.1+17.04.20170206-0ubuntu1 (= )

  $ apt-cache showpkg unity-application-impl-26
  Package: unity-application-impl-26
  Versions: 

  Reverse Depends: 
unity8-common,unity-application-impl-26
  Dependencies: 
  Provides: 
  Reverse Provides: 
  unity8-tests 8.15+17.04.20170206-0ubuntu1 (= )

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtmir/+bug/1662608/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1662608] Re: unity8 should not depend on unity8-tests

2017-02-15 Thread Launchpad Bug Tracker
** Branch linked: lp:qtmir

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1662608

Title:
  unity8 should not depend on unity8-tests

Status in qtmir package in Ubuntu:
  Triaged
Status in unity8 package in Ubuntu:
  Invalid

Bug description:
  Today's unity8 update installs a bunch of -dev packages. This doesn't
  seem intended.

  It looks to me like the virtual package unity-application-impl-26
  depends on unity8-tests but it shouldn't, right?

  
  $ apt-cache showpkg unity-application-impl-23
  Package: unity-application-impl-23
  Versions: 

  Reverse Depends: 
  Dependencies: 
  Provides: 
  Reverse Provides: 
  qtdeclarative5-qtmir-plugin 0.5.1+17.04.20170127-0ubuntu1 (= )
  qtdeclarative5-qtmir-plugin 0.5.1+17.04.20170206-0ubuntu1 (= )

  $ apt-cache showpkg unity-application-impl-26
  Package: unity-application-impl-26
  Versions: 

  Reverse Depends: 
unity8-common,unity-application-impl-26
  Dependencies: 
  Provides: 
  Reverse Provides: 
  unity8-tests 8.15+17.04.20170206-0ubuntu1 (= )

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtmir/+bug/1662608/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1658117] Re: Chrome-less shell hint does not work any more

2017-02-15 Thread Launchpad Bug Tracker
** Branch linked: lp:~ci-train-bot/miral/miral-ubuntu-zesty-2476

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1658117

Title:
  Chrome-less shell hint does not work any more

Status in Canonical System Image:
  Triaged
Status in miral package in Ubuntu:
  In Progress
Status in qtmir package in Ubuntu:
  In Progress
Status in unity8 package in Ubuntu:
  In Progress

Bug description:
  Test case.
  - Open camera in device mode.

  Expected result.
  - Camera opens full screen and top menu hides.

  Actual result.
  - Camera opens full screen but top menu is not hidden.

  current build number: 127
  device name: frieza_arm64
  channel: ubuntu-touch/staging/ubuntu

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1658117/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664610] Re: qtubuntu sends wrong text as part of QKeyEvent

2017-02-15 Thread Andreas Pokorny
Mir either has to expose the xkb_state (which we currently do not - and
might be only on the server) or provide the keysym text directly with
the event.

** Also affects: mir (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: mir (Ubuntu)
   Status: New => Confirmed

** Tags added: input

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtubuntu in Ubuntu.
https://bugs.launchpad.net/bugs/1664610

Title:
  qtubuntu sends wrong text as part of QKeyEvent

Status in mir package in Ubuntu:
  Confirmed
Status in qtubuntu package in Ubuntu:
  New

Bug description:
  When using Unity7 or Plasma a key event created by Ctrl+C is
    QKeyEvent(KeyPress, Key_C, ControlModifier, text="\u0003")

  But Unity8+ qtubuntu send to the application
    QKeyEvent(KeyPress, Key_C, ControlModifier, text="c")

  This is most likely because QMirClientInput::dispatchKeyEvent is using
  xkb_keysym_to_utf8 to get the text of the event instead of using
  xkb_state_key_get_utf8

  This breaks for example Konsole that expects the correct text to be
  sent.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mir/+bug/1664610/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585886] Re: WiFi indicator icon disappears in Ubuntu 16.04

2017-02-15 Thread Robert Orzanna
Doesn't occur to me any longer under 16.10.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1585886

Title:
  WiFi indicator icon disappears in Ubuntu 16.04

Status in indicator-applet package in Ubuntu:
  Confirmed
Status in network-manager package in Ubuntu:
  Confirmed

Bug description:
  Dear all,

  Can someone confirm an occasionally missing WiFi indicator tray icon?

  Sometimes it happens that the icon is not displayed although the WiFi
  connection is working.

  Please see also the attached screenshot.

  Warmly,

  ~Robert

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-applet/+bug/1585886/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664758] Re: UbuntuListView leading/trailing Actions looks disabled on SuruDark

2017-02-15 Thread Christian Dywan
** Changed in: ubuntu-ui-toolkit (Ubuntu)
 Assignee: (unassigned) => Adnane Belmadiaf (daker)

** Changed in: ubuntu-ui-toolkit (Ubuntu)
   Importance: Undecided => High

** Changed in: ubuntu-ui-toolkit (Ubuntu)
   Status: New => In Progress

** Tags added: unity8

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1664758

Title:
  UbuntuListView leading/trailing Actions looks disabled on SuruDark

Status in ubuntu-ui-toolkit package in Ubuntu:
  In Progress

Bug description:
  See screenshot

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1664758/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664947] Re: [unity8] alt drag a child window doesn't work

2017-02-15 Thread Michał Sawicz
** Changed in: canonical-devices-system-image
 Assignee: (unassigned) => Michał Sawicz (saviq)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1664947

Title:
  [unity8] alt drag a child window doesn't work

Status in Canonical System Image:
  New
Status in unity8 package in Ubuntu:
  New

Bug description:
  ubuntu 17.04 unity8

  open a random app, tiled or kate or whatever, open a child window
  (help/about or whatever) and then try to move the window with alt left
  click, press alt left click inside the window and drag (move the
  mouse). it doesn't work. it does work with the main window

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1664947/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1645698] Re: [SRU] Upgrade network-manager to latest point release

2017-02-15 Thread Aron Xu
I've walked through the tests I can do and the yakkety version works,
tagging  verification-done-yakkety.

** Tags added: verification-done-yakkety

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1645698

Title:
  [SRU] Upgrade network-manager to latest point release

Status in OEM Priority Project:
  Triaged
Status in network-manager package in Ubuntu:
  Fix Released
Status in network-manager source package in Xenial:
  In Progress
Status in network-manager source package in Yakkety:
  Fix Committed

Bug description:
  [Impact]

  This SRU would try to have the latest well-tested upstream point
  release (1.2.6) of 1.2.x land in Xenial, which is the successor of the
  current 1.2.2 version, fixing quite some bugs that's suitable to land
  in the stable branch.

  https://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/NEWS?h=nm-1-2

  [Test Case]

  After installing the updated version, users should be able to avoid
  some mem leaks in some cases and have generally improved DNS related
  experiences.

  Also, as this is a general point release update, cases described in
  https://wiki.ubuntu.com/NetworkManager/DistroTesting should be used
  for smoke testing.

  [Regression Potential]

  This is a bug/regression fix for 1.2.2 and 1.2.4, which is quite
  complete.

  [Other Info]
  The first attempt at SRUing this to xenial was for 1.2.4 but it failed 
verification. This second attempt matches yakkety with 1.2.6.

  Parallel building was enabled in xenial to keep the diff between
  xenial and yakkety minimal since they are basically in sync now.
  Parallel building was enabled in the yakkety package in May 2016 so
  it's been working fine for a while.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1645698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1132212] Re: [gnome-fallback] No icon for menu "Kids"

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: ubuntu-themes (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-themes in Ubuntu.
https://bugs.launchpad.net/bugs/1132212

Title:
  [gnome-fallback] No icon for menu "Kids"

Status in edubuntu-artwork package in Ubuntu:
  Confirmed
Status in ubuntu-themes package in Ubuntu:
  Confirmed

Bug description:
  Hello!

  I have installed on VirtualBox, Edubuntu amd64
  (eefd0c1c57a31a1f91ebe159b0a2a1c4 *raring-dvd-amd64.iso 20130223.1).

  On the session "gnome-fallback", menu "Applications">"Games">"Kids":
  No icon for menu "Kids".

  Thanks.

  Gianni

  ProblemType: Bug
  DistroRelease: Ubuntu 13.04
  Package: edubuntu-artwork 13.02.2
  ProcVersionSignature: Ubuntu 3.8.0-7.15-generic 3.8.0
  Uname: Linux 3.8.0-7-generic x86_64
  ApportVersion: 2.8-0ubuntu4
  Architecture: amd64
  Date: Sat Feb 23 19:50:36 2013
  InstallationDate: Installed on 2013-02-23 (0 days ago)
  InstallationMedia: Edubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130223.1)
  MarkForUpload: True
  PackageArchitecture: all
  SourcePackage: edubuntu-artwork
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/edubuntu-artwork/+bug/1132212/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1663555] Re: Repeated suspend and splash screen freeze after upgrading to 16.04

2017-02-15 Thread Eero Aaltonen
nvidia more appropriate package

** Package changed: xorg (Ubuntu) => nvidia-drivers-ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1663555

Title:
  Repeated suspend and splash screen freeze after upgrading to 16.04

Status in NVIDIA Drivers Ubuntu:
  New

Bug description:
  Previously using nvidia-367 with Ubuntu 14.04. Now Ubuntu 16.04 with
  nvidia-367.57-0ubuntu0.16.04.1

  After upgrade two problems have occurred.
  1) Splash screen at startup that prompts for LUKS passphrase has really low 
resolution and does not accept input to decrypt the filesystem. Booting is 
currently only possible with the 'nomodeset' option.
  Kernel version does not affect this.
  This affects at least
   * nvidia-367.57
   * nvidia-375.26 (from PPA)
  Older version nvidia-340.101 is NOT affected.

  2) When booting with two monitors & extended desktop the computer will go to 
suspend mode. Sometimes it will go into suspend repeatedly.
  This happens 'most of the time' when the laptops lid is closed and with all 
driver versions. Probably unrelated to graphics driver.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
  Uname: Linux 4.4.0-62-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  367.57  Mon Oct  3 20:37:01 
PDT 2016
   GCC version:  gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4)
  .tmp.unity_support_test.0:

  ApportVersion: 2.20.1-0ubuntu2.5
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Fri Feb 10 12:48:59 2017
  DistUpgraded: 2017-02-08 10:35:37,423 DEBUG got a conffile-prompt from dpkg 
for file: '/etc/gnome/defaults.list'
  DistroCodename: xenial
  DistroVariant: ubuntu
  DkmsStatus:
   bbswitch, 0.8, 3.13.0-108-generic, x86_64: installed
   bbswitch, 0.8, 4.4.0-62-generic, x86_64: installed
   nvidia-367, 367.57, 4.4.0-62-generic, x86_64: installed
  ExtraDebuggingInterest: Yes, if not too technical
  GraphicsCard:
   NVIDIA Corporation GK106GLM [Quadro K2100M] [10de:11fc] (rev a1) (prog-if 00 
[VGA controller])
     Subsystem: Dell GK106GLM [Quadro K2100M] [1028:05cc]
  InstallationDate: Installed on 2014-09-24 (870 days ago)
  InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 
(20140722.2)
  MachineType: Dell Inc. Precision M4800
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-62-generic 
root=/dev/mapper/vgcrypt-lvcryptoroot ro 
cryptopts=target=cryptvol,source=/dev/disk/by-uuid/31fbd5c5-dcfb-4904-aec8-1c69025870a0,lvm=vgcrypt
 nomodeset
  SourcePackage: xorg
  UpgradeStatus: Upgraded to xenial on 2017-02-08 (2 days ago)
  dmi.bios.date: 05/02/2014
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A08
  dmi.board.name: 0FVDR2
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA08:bd05/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0FVDR2:rvrA00:cvnDellInc.:ct9:cvr:
  dmi.product.name: Precision M4800
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2.2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2.2
  version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1.2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Fri Feb 10 12:44:57 2017
  xserver.configfile: default
  xserver.errors: open /dev/fb0: No such file or directory
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:

  xserver.version: 2:1.18.4-0ubuntu0.2

To manage notifications about this bug go to:
https://bugs.launchpad.net/nvidia-drivers-ubuntu/+bug/1663555/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : 

[Touch-packages] [Bug 1664758] Re: UbuntuListView leading/trailing Actions looks disabled on SuruDark

2017-02-15 Thread Launchpad Bug Tracker
** Branch linked: lp:~daker/ubuntu-ui-toolkit/fix.1664758

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1664758

Title:
  UbuntuListView leading/trailing Actions looks disabled on SuruDark

Status in ubuntu-ui-toolkit package in Ubuntu:
  New

Bug description:
  See screenshot

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1664758/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1664620] Re: [regression] webbrowser_app.tests.test_basic_authentication fail with latest UITK

2017-02-15 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: webbrowser-app (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1664620

Title:
  [regression] webbrowser_app.tests.test_basic_authentication fail with
  latest UITK

Status in ubuntu-ui-toolkit package in Ubuntu:
  Fix Committed
Status in webbrowser-app package in Ubuntu:
  Confirmed

Bug description:
  Running webbrowser-app on desktop xenial+overlay, I'm seeing the
  following autopilot tests fail:

  
webbrowser_app.tests.test_basic_authentication.TestBasicAuthentication.test_wrong_credentials
  
webbrowser_app.tests.test_basic_authentication.TestBasicAuthentication.test_right_credentials
  
webbrowser_app.tests.test_basic_authentication.TestBasicAuthentication.test_cancel

  Indeed, when browsing to e.g.
  https://www.httpwatch.com/httpgallery/authentication/ and clicking the
  "DISPLAY IMAGE" button, no dialog is shown, and I’m seeing the
  following error in the logs:

  file:///usr/lib/x86_64-linux-
  gnu/qt5/qml/Ubuntu/Components/Popups/1.3/popupUtils.js:75: TypeError:
  Cannot read property 'activeFocusItem' of null

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1664620/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


  1   2   >